/* share/epicsH drvBB232.h,v 1.1.1.1 1999/08/04 19:58:01 mrk Exp */
/*     Author: John Winans     Date:   5-21-92 */

/*****************************************************************
                          COPYRIGHT NOTIFICATION
*****************************************************************

(C)  COPYRIGHT 1991 Regents of the University of California,
and the University of Chicago Board of Governors.

This software was developed under a United States Government license
described on the COPYRIGHT_Combined file included as part
of this distribution.
**********************************************************************/

/* Modification Log:
 * -----------------
 * .01	05-21-92	jrw	Initial release
 * .02	02-19-92	joh	cpu independent clk rate
 */

#ifndef	DRVBB232_H
#define DRVBB232_H

/******************************************************************************
 *
 * Additional fields needed for the msgParmBlock structure.
 *
 ******************************************************************************/
typedef struct {
  int   dmaTimeout;             /* Clock ticks to wait for DMA to complete */
  int	baud;			/* baud rate to run the interface */
} drvBB232ParmBlock;

typedef struct {
  int		link;		/* The BB card/link number */
  int		node;		/* the bug's node number */
  int		port;		/* The tty port number on that card */
	/* The pparmBlock is used to make sure only 1 device type is requested */
	/* on one single port. */
  msgParmBlock	*pparmBlock;
} drvBB232Link;

extern msgDrvBlock drvBB232Block;

#define	BB232_DEFAULT_AGE	(sysClkRateGet())	/* 1 second */

#define BB_232_EOI		0x20
#endif
