// OutOfBandMessage.h

#ifndef OutOfBandMessageH
#define OutOfBandMessageH

#include "Int32Message.h"
class DLList;

class OutOfBandMessage : public Int32Message
{
public:
    OutOfBandMessage();
    virtual ~OutOfBandMessage() {}
    virtual int32  toBuffer(char **buffer) const;
    virtual int32  fromBuffer(const char **buffer);
    virtual int32  fromBufferSwitch(const char **buffer);
    virtual void print() const;
    static void *operator new(size_t size);
    void operator delete(void *p, size_t size);
protected:
    OutOfBandMessage(messageType type);
private:
    static DLList *pFreeList;
    // Disallow copy constructor, assignment operator 
    OutOfBandMessage(const OutOfBandMessage&);
    OutOfBandMessage& operator=(const OutOfBandMessage&);
};

inline OutOfBandMessage:: OutOfBandMessage()
: Int32Message(messageTypeOutOfBand)
{}

inline OutOfBandMessage:: OutOfBandMessage(messageType type)
: Int32Message(type)
{}

#endif /*OutOfBandMessageH*/
