// Tcp.h

/* Author:  Marty Kraimer Date:    09APR1998 */
 
/********************COPYRIGHT NOTIFICATION**********************************
This software was developed under a United States Government license
described on the COPYRIGHT_UniversityOfChicago file included as part
of this distribution.
****************************************************************************/

#ifndef TcpH
#define TcpH

enum tcpConnectState {tcpConnectYes, tcpConnectNo};
typedef void(*tcpConnectCallback)(void *pvt,tcpConnectState state);
typedef void(*tcpReceiveCallback)(void *pvt,void *buffer,int32 nbytes);

class Tcp
{
public:
    Tcp(bool isServer,int port,const char *address,int bufferSize);
    ~Tcp();
    void connect(void *userPvt, tcpConnectCallback ,tcpReceiveCallback);
    int send(void *data,int32 size);
    int flush();
    int sendFlush(void *data,int32 size);
    void printStats();
private:
    void *tcpPvt;
    // disallow following
    Tcp();
    Tcp(const Tcp &);
    Tcp& operator=(const Tcp&);
};

#endif /* TcpH */
