// Float64Message.h

#ifndef Float64MessageH
#define Float64MessageH

#include "Message.h"
#include "StandardFieldsMessage.h"
class DLList;

class Float64Message : public StandardFieldsMessage
{
public:
    Float64Message();
    virtual ~Float64Message() {}
    virtual int32  toBuffer(char **buffer) const;
    virtual int32  fromBuffer(const char **buffer);
    virtual int32  fromBufferSwitch(const char **buffer);
    virtual void print() const;
    static void *operator new(size_t size);
    void operator delete(void *p, size_t size);
    //following are for use by client/server
    float64 value;
protected:
    Float64Message(messageType type);
private:
    static DLList *pFreeList;
    // Disallow copy constructor, assignment operator 
    Float64Message(const Float64Message&);
    Float64Message& operator=(const Float64Message&);
};

inline Float64Message:: Float64Message()
: StandardFieldsMessage(messageTypeFloat64), value(0)
{}

inline Float64Message:: Float64Message(messageType type)
: StandardFieldsMessage(type), value(0)
{}

#endif /*Float64MessageH*/
