// Reboot.cc

/* Author:  Marty Kraimer Date:    APR99 */

/********************COPYRIGHT NOTIFICATION**********************************
This software was developed under a United States Government license
described on the COPYRIGHT_UniversityOfChicago file included as part
of this distribution.
****************************************************************************/

#include <vxWorks.h>
#include <stdlib.h>
#include <stddef.h>
#include <string.h>
#include <stdio.h>
#include <taskLib.h>
#include <rebootLib.h>

#include "Reboot.h"
#include "DLList.h"

static DLList *pDLList = 0;

static void pvtCallback();

class RebootNode
{
public:
    rebootCallback callback;
    void *userPvt;
};


void Reboot:: rebootHookAdd(rebootCallback callback,void *userPvt)
{
    if(pDLList==0) {
        pDLList = new DLList;
        ::rebootHookAdd((FUNCPTR)pvtCallback);
    }
    RebootNode *pRebootNode = new RebootNode;
    pRebootNode->callback = callback;
    pRebootNode->userPvt = userPvt;
    DLNode *node = DLList::allocNode();
    node->obj = (void *)pRebootNode;
    pDLList->addEnd(node);
}
        
static void pvtCallback()
{
    DLNode *node = pDLList->getFirst();
    while(node) {
        RebootNode *pRebootNode = (RebootNode *)node->obj;
        (*pRebootNode->callback)(pRebootNode->userPvt);
        node = pDLList->getNext(node);
    }
}
        
