#include <vxWorks.h>
#include <semLib.h>
#include "ellLib.h"
#include "fast_lock.h"
#include "link.h"
#include "tsDefs.h"
#ifndef INCddfanoutH
#define INCddfanoutH
typedef struct ddfanoutRecord {
	char		name[29]; /*Record Name*/
	char		desc[29]; /*Descriptor*/
	char		asg[29]; /*Access Security Group*/
	unsigned short	scan;	/*Scan Mechanism*/
	unsigned short	pini;	/*Process at iocInit*/
	short		phas;	/*Scan Phase*/
	short		evnt;	/*Event Number*/
	short		tse;	/*Time Stamp Event*/
	DBLINK		tsel;	/*Time Stamp Link*/
	unsigned short	dtyp;	/*Device Type*/
	short		disv;	/*Disable Value*/
	short		disa;	/*Disable*/
	DBLINK		sdis;	/*Scanning Disable*/
	FAST_LOCK	mlok;	/*Monitor fastlock*/
	ELLLIST		mlis;	/*Monitor List*/
	unsigned char	disp;	/*Disable putField*/
	unsigned char	proc;	/*Force Processing*/
	unsigned short	stat;	/*Alarm Status*/
	unsigned short	sevr;	/*Alarm Severity*/
	unsigned short	nsta;	/*New Alarm Status*/
	unsigned short	nsev;	/*New Alarm Severity*/
	unsigned short	acks;	/*Alarm Ack Severity*/
	unsigned short	ackt;	/*Alarm Ack Transient*/
	unsigned short	diss;	/*Disable Alarm Sevrty*/
	unsigned char	lcnt;	/*Lock Count*/
	unsigned char	pact;	/*Record active*/
	unsigned char	putf;	/*dbPutField process*/
	unsigned char	rpro;	/*Reprocess */
	void		*asp;	/*Access Security Pvt*/
	struct putNotify *ppn;	/*addr of PUTNOTIFY*/
	struct pnWaitNode *ppnn;	/*next record PUTNOTIFY*/
	struct scan_element *spvt;	/*Scan Private*/
	struct rset	*rset;	/*Address of RSET*/
	struct dset	*dset;	/*DSET address*/
	void		*dpvt;	/*Device Private*/
	struct dbRecordType *rdes;	/*Address of dbRecordType*/
	struct lockRecord *lset;	/*Lock Set*/
	unsigned short	prio;	/*Scheduling Priority*/
	unsigned char	tpro;	/*Trace Processing*/
	char bkpt;	/*Break Point*/
	unsigned char	udf;	/*Undefined*/
	TS_STAMP	time;	/*Time*/
	DBLINK		flnk;	/*Forward Process Link*/
	double		val;	/*Desired Output*/
	short		prec;	/*Display Precision*/
	DBLINK		outa;	/*Output Spec A*/
	DBLINK		outb;	/*Output Spec B*/
	DBLINK		outc;	/*Output Spec C*/
	DBLINK		outd;	/*Output Spec D*/
	DBLINK		oute;	/*Output Spec E*/
	DBLINK		outf;	/*Output Spec F*/
	DBLINK		outg;	/*Output Spec G*/
	DBLINK		outh;	/*Output Spec H*/
	DBLINK		dol;	/*Desired Output Loc*/
	unsigned short	omsl;	/*Output Mode Select*/
	char		egu[16]; /*Units name*/
	double		hopr;	/*High Operating Range*/
	double		lopr;	/*Low Operating Range*/
	double		hihi;	/*Hihi Alarm Limit*/
	double		lolo;	/*Lolo Alarm Limit*/
	double		high;	/*High Alarm Limit*/
	double		low;	/*Low Alarm Limit*/
	unsigned short	hhsv;	/*Hihi Severity*/
	unsigned short	llsv;	/*Lolo Severity*/
	unsigned short	hsv;	/*High Severity*/
	unsigned short	lsv;	/*Low Severity*/
	double		hyst;	/*Alarm Deadband*/
	double		adel;	/*Archive Deadband*/
	double		mdel;	/*Monitor Deadband*/
	double		lalm;	/*Last Value Alarmed*/
	double		alst;	/*Last Value Archived*/
	double		mlst;	/*Last Val Monitored*/
	unsigned short	ivoa;	/*INVALID output action*/
	double		ivov;	/*INVALID output value*/
} ddfanoutRecord;
#define ddfanoutRecordNAME	0
#define ddfanoutRecordDESC	1
#define ddfanoutRecordASG	2
#define ddfanoutRecordSCAN	3
#define ddfanoutRecordPINI	4
#define ddfanoutRecordPHAS	5
#define ddfanoutRecordEVNT	6
#define ddfanoutRecordTSE	7
#define ddfanoutRecordTSEL	8
#define ddfanoutRecordDTYP	9
#define ddfanoutRecordDISV	10
#define ddfanoutRecordDISA	11
#define ddfanoutRecordSDIS	12
#define ddfanoutRecordMLOK	13
#define ddfanoutRecordMLIS	14
#define ddfanoutRecordDISP	15
#define ddfanoutRecordPROC	16
#define ddfanoutRecordSTAT	17
#define ddfanoutRecordSEVR	18
#define ddfanoutRecordNSTA	19
#define ddfanoutRecordNSEV	20
#define ddfanoutRecordACKS	21
#define ddfanoutRecordACKT	22
#define ddfanoutRecordDISS	23
#define ddfanoutRecordLCNT	24
#define ddfanoutRecordPACT	25
#define ddfanoutRecordPUTF	26
#define ddfanoutRecordRPRO	27
#define ddfanoutRecordASP	28
#define ddfanoutRecordPPN	29
#define ddfanoutRecordPPNN	30
#define ddfanoutRecordSPVT	31
#define ddfanoutRecordRSET	32
#define ddfanoutRecordDSET	33
#define ddfanoutRecordDPVT	34
#define ddfanoutRecordRDES	35
#define ddfanoutRecordLSET	36
#define ddfanoutRecordPRIO	37
#define ddfanoutRecordTPRO	38
#define ddfanoutRecordBKPT	39
#define ddfanoutRecordUDF	40
#define ddfanoutRecordTIME	41
#define ddfanoutRecordFLNK	42
#define ddfanoutRecordVAL	43
#define ddfanoutRecordPREC	44
#define ddfanoutRecordOUTA	45
#define ddfanoutRecordOUTB	46
#define ddfanoutRecordOUTC	47
#define ddfanoutRecordOUTD	48
#define ddfanoutRecordOUTE	49
#define ddfanoutRecordOUTF	50
#define ddfanoutRecordOUTG	51
#define ddfanoutRecordOUTH	52
#define ddfanoutRecordDOL	53
#define ddfanoutRecordOMSL	54
#define ddfanoutRecordEGU	55
#define ddfanoutRecordHOPR	56
#define ddfanoutRecordLOPR	57
#define ddfanoutRecordHIHI	58
#define ddfanoutRecordLOLO	59
#define ddfanoutRecordHIGH	60
#define ddfanoutRecordLOW	61
#define ddfanoutRecordHHSV	62
#define ddfanoutRecordLLSV	63
#define ddfanoutRecordHSV	64
#define ddfanoutRecordLSV	65
#define ddfanoutRecordHYST	66
#define ddfanoutRecordADEL	67
#define ddfanoutRecordMDEL	68
#define ddfanoutRecordLALM	69
#define ddfanoutRecordALST	70
#define ddfanoutRecordMLST	71
#define ddfanoutRecordIVOA	72
#define ddfanoutRecordIVOV	73
#endif /*INCddfanoutH*/
#ifdef GEN_SIZE_OFFSET
int ddfanoutRecordSizeOffset(dbRecordType *pdbRecordType)
{
    ddfanoutRecord *prec = 0;
  pdbRecordType->papFldDes[0]->size=sizeof(prec->name);
  pdbRecordType->papFldDes[0]->offset=(short)((char *)&prec->name - (char *)prec);
  pdbRecordType->papFldDes[1]->size=sizeof(prec->desc);
  pdbRecordType->papFldDes[1]->offset=(short)((char *)&prec->desc - (char *)prec);
  pdbRecordType->papFldDes[2]->size=sizeof(prec->asg);
  pdbRecordType->papFldDes[2]->offset=(short)((char *)&prec->asg - (char *)prec);
  pdbRecordType->papFldDes[3]->size=sizeof(prec->scan);
  pdbRecordType->papFldDes[3]->offset=(short)((char *)&prec->scan - (char *)prec);
  pdbRecordType->papFldDes[4]->size=sizeof(prec->pini);
  pdbRecordType->papFldDes[4]->offset=(short)((char *)&prec->pini - (char *)prec);
  pdbRecordType->papFldDes[5]->size=sizeof(prec->phas);
  pdbRecordType->papFldDes[5]->offset=(short)((char *)&prec->phas - (char *)prec);
  pdbRecordType->papFldDes[6]->size=sizeof(prec->evnt);
  pdbRecordType->papFldDes[6]->offset=(short)((char *)&prec->evnt - (char *)prec);
  pdbRecordType->papFldDes[7]->size=sizeof(prec->tse);
  pdbRecordType->papFldDes[7]->offset=(short)((char *)&prec->tse - (char *)prec);
  pdbRecordType->papFldDes[8]->size=sizeof(prec->tsel);
  pdbRecordType->papFldDes[8]->offset=(short)((char *)&prec->tsel - (char *)prec);
  pdbRecordType->papFldDes[9]->size=sizeof(prec->dtyp);
  pdbRecordType->papFldDes[9]->offset=(short)((char *)&prec->dtyp - (char *)prec);
  pdbRecordType->papFldDes[10]->size=sizeof(prec->disv);
  pdbRecordType->papFldDes[10]->offset=(short)((char *)&prec->disv - (char *)prec);
  pdbRecordType->papFldDes[11]->size=sizeof(prec->disa);
  pdbRecordType->papFldDes[11]->offset=(short)((char *)&prec->disa - (char *)prec);
  pdbRecordType->papFldDes[12]->size=sizeof(prec->sdis);
  pdbRecordType->papFldDes[12]->offset=(short)((char *)&prec->sdis - (char *)prec);
  pdbRecordType->papFldDes[13]->size=sizeof(prec->mlok);
  pdbRecordType->papFldDes[13]->offset=(short)((char *)&prec->mlok - (char *)prec);
  pdbRecordType->papFldDes[14]->size=sizeof(prec->mlis);
  pdbRecordType->papFldDes[14]->offset=(short)((char *)&prec->mlis - (char *)prec);
  pdbRecordType->papFldDes[15]->size=sizeof(prec->disp);
  pdbRecordType->papFldDes[15]->offset=(short)((char *)&prec->disp - (char *)prec);
  pdbRecordType->papFldDes[16]->size=sizeof(prec->proc);
  pdbRecordType->papFldDes[16]->offset=(short)((char *)&prec->proc - (char *)prec);
  pdbRecordType->papFldDes[17]->size=sizeof(prec->stat);
  pdbRecordType->papFldDes[17]->offset=(short)((char *)&prec->stat - (char *)prec);
  pdbRecordType->papFldDes[18]->size=sizeof(prec->sevr);
  pdbRecordType->papFldDes[18]->offset=(short)((char *)&prec->sevr - (char *)prec);
  pdbRecordType->papFldDes[19]->size=sizeof(prec->nsta);
  pdbRecordType->papFldDes[19]->offset=(short)((char *)&prec->nsta - (char *)prec);
  pdbRecordType->papFldDes[20]->size=sizeof(prec->nsev);
  pdbRecordType->papFldDes[20]->offset=(short)((char *)&prec->nsev - (char *)prec);
  pdbRecordType->papFldDes[21]->size=sizeof(prec->acks);
  pdbRecordType->papFldDes[21]->offset=(short)((char *)&prec->acks - (char *)prec);
  pdbRecordType->papFldDes[22]->size=sizeof(prec->ackt);
  pdbRecordType->papFldDes[22]->offset=(short)((char *)&prec->ackt - (char *)prec);
  pdbRecordType->papFldDes[23]->size=sizeof(prec->diss);
  pdbRecordType->papFldDes[23]->offset=(short)((char *)&prec->diss - (char *)prec);
  pdbRecordType->papFldDes[24]->size=sizeof(prec->lcnt);
  pdbRecordType->papFldDes[24]->offset=(short)((char *)&prec->lcnt - (char *)prec);
  pdbRecordType->papFldDes[25]->size=sizeof(prec->pact);
  pdbRecordType->papFldDes[25]->offset=(short)((char *)&prec->pact - (char *)prec);
  pdbRecordType->papFldDes[26]->size=sizeof(prec->putf);
  pdbRecordType->papFldDes[26]->offset=(short)((char *)&prec->putf - (char *)prec);
  pdbRecordType->papFldDes[27]->size=sizeof(prec->rpro);
  pdbRecordType->papFldDes[27]->offset=(short)((char *)&prec->rpro - (char *)prec);
  pdbRecordType->papFldDes[28]->size=sizeof(prec->asp);
  pdbRecordType->papFldDes[28]->offset=(short)((char *)&prec->asp - (char *)prec);
  pdbRecordType->papFldDes[29]->size=sizeof(prec->ppn);
  pdbRecordType->papFldDes[29]->offset=(short)((char *)&prec->ppn - (char *)prec);
  pdbRecordType->papFldDes[30]->size=sizeof(prec->ppnn);
  pdbRecordType->papFldDes[30]->offset=(short)((char *)&prec->ppnn - (char *)prec);
  pdbRecordType->papFldDes[31]->size=sizeof(prec->spvt);
  pdbRecordType->papFldDes[31]->offset=(short)((char *)&prec->spvt - (char *)prec);
  pdbRecordType->papFldDes[32]->size=sizeof(prec->rset);
  pdbRecordType->papFldDes[32]->offset=(short)((char *)&prec->rset - (char *)prec);
  pdbRecordType->papFldDes[33]->size=sizeof(prec->dset);
  pdbRecordType->papFldDes[33]->offset=(short)((char *)&prec->dset - (char *)prec);
  pdbRecordType->papFldDes[34]->size=sizeof(prec->dpvt);
  pdbRecordType->papFldDes[34]->offset=(short)((char *)&prec->dpvt - (char *)prec);
  pdbRecordType->papFldDes[35]->size=sizeof(prec->rdes);
  pdbRecordType->papFldDes[35]->offset=(short)((char *)&prec->rdes - (char *)prec);
  pdbRecordType->papFldDes[36]->size=sizeof(prec->lset);
  pdbRecordType->papFldDes[36]->offset=(short)((char *)&prec->lset - (char *)prec);
  pdbRecordType->papFldDes[37]->size=sizeof(prec->prio);
  pdbRecordType->papFldDes[37]->offset=(short)((char *)&prec->prio - (char *)prec);
  pdbRecordType->papFldDes[38]->size=sizeof(prec->tpro);
  pdbRecordType->papFldDes[38]->offset=(short)((char *)&prec->tpro - (char *)prec);
  pdbRecordType->papFldDes[39]->size=sizeof(prec->bkpt);
  pdbRecordType->papFldDes[39]->offset=(short)((char *)&prec->bkpt - (char *)prec);
  pdbRecordType->papFldDes[40]->size=sizeof(prec->udf);
  pdbRecordType->papFldDes[40]->offset=(short)((char *)&prec->udf - (char *)prec);
  pdbRecordType->papFldDes[41]->size=sizeof(prec->time);
  pdbRecordType->papFldDes[41]->offset=(short)((char *)&prec->time - (char *)prec);
  pdbRecordType->papFldDes[42]->size=sizeof(prec->flnk);
  pdbRecordType->papFldDes[42]->offset=(short)((char *)&prec->flnk - (char *)prec);
  pdbRecordType->papFldDes[43]->size=sizeof(prec->val);
  pdbRecordType->papFldDes[43]->offset=(short)((char *)&prec->val - (char *)prec);
  pdbRecordType->papFldDes[44]->size=sizeof(prec->prec);
  pdbRecordType->papFldDes[44]->offset=(short)((char *)&prec->prec - (char *)prec);
  pdbRecordType->papFldDes[45]->size=sizeof(prec->outa);
  pdbRecordType->papFldDes[45]->offset=(short)((char *)&prec->outa - (char *)prec);
  pdbRecordType->papFldDes[46]->size=sizeof(prec->outb);
  pdbRecordType->papFldDes[46]->offset=(short)((char *)&prec->outb - (char *)prec);
  pdbRecordType->papFldDes[47]->size=sizeof(prec->outc);
  pdbRecordType->papFldDes[47]->offset=(short)((char *)&prec->outc - (char *)prec);
  pdbRecordType->papFldDes[48]->size=sizeof(prec->outd);
  pdbRecordType->papFldDes[48]->offset=(short)((char *)&prec->outd - (char *)prec);
  pdbRecordType->papFldDes[49]->size=sizeof(prec->oute);
  pdbRecordType->papFldDes[49]->offset=(short)((char *)&prec->oute - (char *)prec);
  pdbRecordType->papFldDes[50]->size=sizeof(prec->outf);
  pdbRecordType->papFldDes[50]->offset=(short)((char *)&prec->outf - (char *)prec);
  pdbRecordType->papFldDes[51]->size=sizeof(prec->outg);
  pdbRecordType->papFldDes[51]->offset=(short)((char *)&prec->outg - (char *)prec);
  pdbRecordType->papFldDes[52]->size=sizeof(prec->outh);
  pdbRecordType->papFldDes[52]->offset=(short)((char *)&prec->outh - (char *)prec);
  pdbRecordType->papFldDes[53]->size=sizeof(prec->dol);
  pdbRecordType->papFldDes[53]->offset=(short)((char *)&prec->dol - (char *)prec);
  pdbRecordType->papFldDes[54]->size=sizeof(prec->omsl);
  pdbRecordType->papFldDes[54]->offset=(short)((char *)&prec->omsl - (char *)prec);
  pdbRecordType->papFldDes[55]->size=sizeof(prec->egu);
  pdbRecordType->papFldDes[55]->offset=(short)((char *)&prec->egu - (char *)prec);
  pdbRecordType->papFldDes[56]->size=sizeof(prec->hopr);
  pdbRecordType->papFldDes[56]->offset=(short)((char *)&prec->hopr - (char *)prec);
  pdbRecordType->papFldDes[57]->size=sizeof(prec->lopr);
  pdbRecordType->papFldDes[57]->offset=(short)((char *)&prec->lopr - (char *)prec);
  pdbRecordType->papFldDes[58]->size=sizeof(prec->hihi);
  pdbRecordType->papFldDes[58]->offset=(short)((char *)&prec->hihi - (char *)prec);
  pdbRecordType->papFldDes[59]->size=sizeof(prec->lolo);
  pdbRecordType->papFldDes[59]->offset=(short)((char *)&prec->lolo - (char *)prec);
  pdbRecordType->papFldDes[60]->size=sizeof(prec->high);
  pdbRecordType->papFldDes[60]->offset=(short)((char *)&prec->high - (char *)prec);
  pdbRecordType->papFldDes[61]->size=sizeof(prec->low);
  pdbRecordType->papFldDes[61]->offset=(short)((char *)&prec->low - (char *)prec);
  pdbRecordType->papFldDes[62]->size=sizeof(prec->hhsv);
  pdbRecordType->papFldDes[62]->offset=(short)((char *)&prec->hhsv - (char *)prec);
  pdbRecordType->papFldDes[63]->size=sizeof(prec->llsv);
  pdbRecordType->papFldDes[63]->offset=(short)((char *)&prec->llsv - (char *)prec);
  pdbRecordType->papFldDes[64]->size=sizeof(prec->hsv);
  pdbRecordType->papFldDes[64]->offset=(short)((char *)&prec->hsv - (char *)prec);
  pdbRecordType->papFldDes[65]->size=sizeof(prec->lsv);
  pdbRecordType->papFldDes[65]->offset=(short)((char *)&prec->lsv - (char *)prec);
  pdbRecordType->papFldDes[66]->size=sizeof(prec->hyst);
  pdbRecordType->papFldDes[66]->offset=(short)((char *)&prec->hyst - (char *)prec);
  pdbRecordType->papFldDes[67]->size=sizeof(prec->adel);
  pdbRecordType->papFldDes[67]->offset=(short)((char *)&prec->adel - (char *)prec);
  pdbRecordType->papFldDes[68]->size=sizeof(prec->mdel);
  pdbRecordType->papFldDes[68]->offset=(short)((char *)&prec->mdel - (char *)prec);
  pdbRecordType->papFldDes[69]->size=sizeof(prec->lalm);
  pdbRecordType->papFldDes[69]->offset=(short)((char *)&prec->lalm - (char *)prec);
  pdbRecordType->papFldDes[70]->size=sizeof(prec->alst);
  pdbRecordType->papFldDes[70]->offset=(short)((char *)&prec->alst - (char *)prec);
  pdbRecordType->papFldDes[71]->size=sizeof(prec->mlst);
  pdbRecordType->papFldDes[71]->offset=(short)((char *)&prec->mlst - (char *)prec);
  pdbRecordType->papFldDes[72]->size=sizeof(prec->ivoa);
  pdbRecordType->papFldDes[72]->offset=(short)((char *)&prec->ivoa - (char *)prec);
  pdbRecordType->papFldDes[73]->size=sizeof(prec->ivov);
  pdbRecordType->papFldDes[73]->offset=(short)((char *)&prec->ivov - (char *)prec);
    pdbRecordType->rec_size = sizeof(*prec);
    return(0);
}
#endif /*GEN_SIZE_OFFSET*/
