#include <vxWorks.h>
#include <semLib.h>
#include "ellLib.h"
#include "fast_lock.h"
#include "link.h"
#include "tsDefs.h"

#ifndef INCscalerG1H
#define INCscalerG1H
typedef enum {
	scalerG1_N,
	scalerG1_Y
}scalerG1;
#endif /*INCscalerG1H*/

#ifndef INCscalerD1H
#define INCscalerD1H
typedef enum {
	scalerD1_Up,
	scalerD1_Dn
}scalerD1;
#endif /*INCscalerD1H*/

#ifndef INCscalerCONTH
#define INCscalerCONTH
typedef enum {
	scalerCONT_OneShot,
	scalerCONT_AutoCount
}scalerCONT;
#endif /*INCscalerCONTH*/

#ifndef INCscalerCNTH
#define INCscalerCNTH
typedef enum {
	scalerCNT_Done,
	scalerCNT_Count
}scalerCNT;
#endif /*INCscalerCNTH*/
#ifndef INCscalerH
#define INCscalerH
typedef struct scalerRecord {
	char		name[29]; /*Record Name*/
	char		desc[29]; /*Descriptor*/
	char		asg[29]; /*Access Security Group*/
	unsigned short	scan;	/*Scan Mechanism*/
	unsigned short	pini;	/*Process at iocInit*/
	short		phas;	/*Scan Phase*/
	short		evnt;	/*Event Number*/
	short		tse;	/*Time Stamp Event*/
	DBLINK		tsel;	/*Time Stamp Link*/
	unsigned short	dtyp;	/*Device Type*/
	short		disv;	/*Disable Value*/
	short		disa;	/*Disable*/
	DBLINK		sdis;	/*Scanning Disable*/
	FAST_LOCK	mlok;	/*Monitor fastlock*/
	ELLLIST		mlis;	/*Monitor List*/
	unsigned char	disp;	/*Disable putField*/
	unsigned char	proc;	/*Force Processing*/
	unsigned short	stat;	/*Alarm Status*/
	unsigned short	sevr;	/*Alarm Severity*/
	unsigned short	nsta;	/*New Alarm Status*/
	unsigned short	nsev;	/*New Alarm Severity*/
	unsigned short	acks;	/*Alarm Ack Severity*/
	unsigned short	ackt;	/*Alarm Ack Transient*/
	unsigned short	diss;	/*Disable Alarm Sevrty*/
	unsigned char	lcnt;	/*Lock Count*/
	unsigned char	pact;	/*Record active*/
	unsigned char	putf;	/*dbPutField process*/
	unsigned char	rpro;	/*Reprocess */
	void		*asp;	/*Access Security Pvt*/
	struct putNotify *ppn;	/*addr of PUTNOTIFY*/
	struct pnWaitNode *ppnn;	/*next record PUTNOTIFY*/
	struct scan_element *spvt;	/*Scan Private*/
	struct rset	*rset;	/*Address of RSET*/
	struct dset	*dset;	/*DSET address*/
	void		*dpvt;	/*Device Private*/
	struct dbRecordType *rdes;	/*Address of dbRecordType*/
	struct lockRecord *lset;	/*Lock Set*/
	unsigned short	prio;	/*Scheduling Priority*/
	unsigned char	tpro;	/*Trace Processing*/
	char bkpt;	/*Break Point*/
	unsigned char	udf;	/*Undefined*/
	TS_STAMP	time;	/*Time*/
	DBLINK		flnk;	/*Forward Process Link*/
	float		vers;	/*Code Version*/
	double		val;	/*Result*/
	double		freq;	/*Time base freq*/
	unsigned short	cnt;	/*Count*/
	unsigned short	pcnt;	/*Prev Count*/
	short		ss;	/*Scaler state*/
	short		us;	/*User state*/
	unsigned short	cont;	/*OneShot/AutoCount*/
	DBLINK		out;	/*Output Specification*/
	short		card;	/*Card Number*/
	float		rate;	/*Display Rate (Hz.)*/
	float		rat1;	/*Auto Display Rate (Hz.)*/
	float		dly;	/*Delay*/
	float		dly1;	/*Auto-mode Delay*/
	short		nch;	/*Number of Channels*/
	unsigned short	d1;	/*Count Direction 1*/
	unsigned short	d2;	/*Count Direction 2*/
	unsigned short	d3;	/*Count Direction 3*/
	unsigned short	d4;	/*Count Direction 4*/
	unsigned short	d5;	/*Count Direction 5*/
	unsigned short	d6;	/*Count Direction 6*/
	unsigned short	d7;	/*Count Direction 7*/
	unsigned short	d8;	/*Count Direction 8*/
	unsigned short	d9;	/*Count Direction 9*/
	unsigned short	d10;	/*Count Direction 10*/
	unsigned short	d11;	/*Count Direction 11*/
	unsigned short	d12;	/*Count Direction 12*/
	unsigned short	d13;	/*Count Direction 13*/
	unsigned short	d14;	/*Count Direction 14*/
	unsigned short	d15;	/*Count Direction 15*/
	unsigned short	d16;	/*Count Direction 16*/
	unsigned short	d17;	/*Count Direction 17*/
	unsigned short	d18;	/*Count Direction 18*/
	unsigned short	d19;	/*Count Direction 19*/
	unsigned short	d20;	/*Count Direction 20*/
	unsigned short	d21;	/*Count Direction 21*/
	unsigned short	d22;	/*Count Direction 22*/
	unsigned short	d23;	/*Count Direction 23*/
	unsigned short	d24;	/*Count Direction 24*/
	unsigned short	d25;	/*Count Direction 25*/
	unsigned short	d26;	/*Count Direction 26*/
	unsigned short	d27;	/*Count Direction 27*/
	unsigned short	d28;	/*Count Direction 28*/
	unsigned short	d29;	/*Count Direction 29*/
	unsigned short	d30;	/*Count Direction 30*/
	unsigned short	d31;	/*Count Direction 31*/
	unsigned short	d32;	/*Count Direction 32*/
	unsigned short	g1;	/*Gate Control 1*/
	unsigned short	g2;	/*Gate Control 2*/
	unsigned short	g3;	/*Gate Control 3*/
	unsigned short	g4;	/*Gate Control 4*/
	unsigned short	g5;	/*Gate Control 5*/
	unsigned short	g6;	/*Gate Control 6*/
	unsigned short	g7;	/*Gate Control 7*/
	unsigned short	g8;	/*Gate Control 8*/
	unsigned short	g9;	/*Gate Control 9*/
	unsigned short	g10;	/*Gate Control 10*/
	unsigned short	g11;	/*Gate Control 11*/
	unsigned short	g12;	/*Gate Control 12*/
	unsigned short	g13;	/*Gate Control 13*/
	unsigned short	g14;	/*Gate Control 14*/
	unsigned short	g15;	/*Gate Control 15*/
	unsigned short	g16;	/*Gate Control 16*/
	unsigned short	g17;	/*Gate Control 17*/
	unsigned short	g18;	/*Gate Control 18*/
	unsigned short	g19;	/*Gate Control 19*/
	unsigned short	g20;	/*Gate Control 20*/
	unsigned short	g21;	/*Gate Control 21*/
	unsigned short	g22;	/*Gate Control 22*/
	unsigned short	g23;	/*Gate Control 23*/
	unsigned short	g24;	/*Gate Control 24*/
	unsigned short	g25;	/*Gate Control 25*/
	unsigned short	g26;	/*Gate Control 26*/
	unsigned short	g27;	/*Gate Control 27*/
	unsigned short	g28;	/*Gate Control 28*/
	unsigned short	g29;	/*Gate Control 29*/
	unsigned short	g30;	/*Gate Control 30*/
	unsigned short	g31;	/*Gate Control 31*/
	unsigned short	g32;	/*Gate Control 32*/
	double		tp;	/*Time Preset*/
	double		tp1;	/*Time Preset*/
	long		pr1;	/*Preset 1*/
	long		pr2;	/*Preset 2*/
	long		pr3;	/*Preset 3*/
	long		pr4;	/*Preset 4*/
	long		pr5;	/*Preset 5*/
	long		pr6;	/*Preset 6*/
	long		pr7;	/*Preset 7*/
	long		pr8;	/*Preset 8*/
	long		pr9;	/*Preset 9*/
	long		pr10;	/*Preset 10*/
	long		pr11;	/*Preset 11*/
	long		pr12;	/*Preset 12*/
	long		pr13;	/*Preset 13*/
	long		pr14;	/*Preset 14*/
	long		pr15;	/*Preset 15*/
	long		pr16;	/*Preset 16*/
	long		pr17;	/*Preset 17*/
	long		pr18;	/*Preset 18*/
	long		pr19;	/*Preset 19*/
	long		pr20;	/*Preset 20*/
	long		pr21;	/*Preset 21*/
	long		pr22;	/*Preset 22*/
	long		pr23;	/*Preset 23*/
	long		pr24;	/*Preset 24*/
	long		pr25;	/*Preset 25*/
	long		pr26;	/*Preset 26*/
	long		pr27;	/*Preset 27*/
	long		pr28;	/*Preset 28*/
	long		pr29;	/*Preset 29*/
	long		pr30;	/*Preset 30*/
	long		pr31;	/*Preset 31*/
	long		pr32;	/*Preset 32*/
	double		t;	/*Timer*/
	long		s1;	/*Scaler 1*/
	long		s2;	/*Scaler 2*/
	long		s3;	/*Scaler 3*/
	long		s4;	/*Scaler 4*/
	long		s5;	/*Scaler 5*/
	long		s6;	/*Scaler 6*/
	long		s7;	/*Scaler 7*/
	long		s8;	/*Scaler 8*/
	long		s9;	/*Scaler 9*/
	long		s10;	/*Scaler 10*/
	long		s11;	/*Scaler 11*/
	long		s12;	/*Scaler 12*/
	long		s13;	/*Scaler 13*/
	long		s14;	/*Scaler 14*/
	long		s15;	/*Scaler 15*/
	long		s16;	/*Scaler 16*/
	long		s17;	/*Scaler 17*/
	long		s18;	/*Scaler 18*/
	long		s19;	/*Scaler 19*/
	long		s20;	/*Scaler 20*/
	long		s21;	/*Scaler 21*/
	long		s22;	/*Scaler 22*/
	long		s23;	/*Scaler 23*/
	long		s24;	/*Scaler 24*/
	long		s25;	/*Scaler 25*/
	long		s26;	/*Scaler 26*/
	long		s27;	/*Scaler 27*/
	long		s28;	/*Scaler 28*/
	long		s29;	/*Scaler 29*/
	long		s30;	/*Scaler 30*/
	long		s31;	/*Scaler 31*/
	long		s32;	/*Scaler 32*/
	char		nm1[16]; /*Scaler 1 name*/
	char		nm2[16]; /*Scaler 2 name*/
	char		nm3[16]; /*Scaler 3 name*/
	char		nm4[16]; /*Scaler 4 name*/
	char		nm5[16]; /*Scaler 5 name*/
	char		nm6[16]; /*Scaler 6 name*/
	char		nm7[16]; /*Scaler 7 name*/
	char		nm8[16]; /*Scaler 8 name*/
	char		nm9[16]; /*Scaler 9 name*/
	char		nm10[16]; /*Scaler 10 name*/
	char		nm11[16]; /*Scaler 11 name*/
	char		nm12[16]; /*Scaler 12 name*/
	char		nm13[16]; /*Scaler 13 name*/
	char		nm14[16]; /*Scaler 14 name*/
	char		nm15[16]; /*Scaler 15 name*/
	char		nm16[16]; /*Scaler 16 name*/
	char		nm17[16]; /*Scaler 17 name*/
	char		nm18[16]; /*Scaler 18 name*/
	char		nm19[16]; /*Scaler 19 name*/
	char		nm20[16]; /*Scaler 20 name*/
	char		nm21[16]; /*Scaler 21 name*/
	char		nm22[16]; /*Scaler 22 name*/
	char		nm23[16]; /*Scaler 23 name*/
	char		nm24[16]; /*Scaler 24 name*/
	char		nm25[16]; /*Scaler 25 name*/
	char		nm26[16]; /*Scaler 26 name*/
	char		nm27[16]; /*Scaler 27 name*/
	char		nm28[16]; /*Scaler 28 name*/
	char		nm29[16]; /*Scaler 29 name*/
	char		nm30[16]; /*Scaler 30 name*/
	char		nm31[16]; /*Scaler 31 name*/
	char		nm32[16]; /*Scaler 32 name*/
	char		egu[16]; /*Units Name*/
	short		prec;	/*Display Precision*/
	DBLINK		cout;	/*CNT Output*/
} scalerRecord;
#define scalerRecordNAME	0
#define scalerRecordDESC	1
#define scalerRecordASG	2
#define scalerRecordSCAN	3
#define scalerRecordPINI	4
#define scalerRecordPHAS	5
#define scalerRecordEVNT	6
#define scalerRecordTSE	7
#define scalerRecordTSEL	8
#define scalerRecordDTYP	9
#define scalerRecordDISV	10
#define scalerRecordDISA	11
#define scalerRecordSDIS	12
#define scalerRecordMLOK	13
#define scalerRecordMLIS	14
#define scalerRecordDISP	15
#define scalerRecordPROC	16
#define scalerRecordSTAT	17
#define scalerRecordSEVR	18
#define scalerRecordNSTA	19
#define scalerRecordNSEV	20
#define scalerRecordACKS	21
#define scalerRecordACKT	22
#define scalerRecordDISS	23
#define scalerRecordLCNT	24
#define scalerRecordPACT	25
#define scalerRecordPUTF	26
#define scalerRecordRPRO	27
#define scalerRecordASP	28
#define scalerRecordPPN	29
#define scalerRecordPPNN	30
#define scalerRecordSPVT	31
#define scalerRecordRSET	32
#define scalerRecordDSET	33
#define scalerRecordDPVT	34
#define scalerRecordRDES	35
#define scalerRecordLSET	36
#define scalerRecordPRIO	37
#define scalerRecordTPRO	38
#define scalerRecordBKPT	39
#define scalerRecordUDF	40
#define scalerRecordTIME	41
#define scalerRecordFLNK	42
#define scalerRecordVERS	43
#define scalerRecordVAL	44
#define scalerRecordFREQ	45
#define scalerRecordCNT	46
#define scalerRecordPCNT	47
#define scalerRecordSS	48
#define scalerRecordUS	49
#define scalerRecordCONT	50
#define scalerRecordOUT	51
#define scalerRecordCARD	52
#define scalerRecordRATE	53
#define scalerRecordRAT1	54
#define scalerRecordDLY	55
#define scalerRecordDLY1	56
#define scalerRecordNCH	57
#define scalerRecordD1	58
#define scalerRecordD2	59
#define scalerRecordD3	60
#define scalerRecordD4	61
#define scalerRecordD5	62
#define scalerRecordD6	63
#define scalerRecordD7	64
#define scalerRecordD8	65
#define scalerRecordD9	66
#define scalerRecordD10	67
#define scalerRecordD11	68
#define scalerRecordD12	69
#define scalerRecordD13	70
#define scalerRecordD14	71
#define scalerRecordD15	72
#define scalerRecordD16	73
#define scalerRecordD17	74
#define scalerRecordD18	75
#define scalerRecordD19	76
#define scalerRecordD20	77
#define scalerRecordD21	78
#define scalerRecordD22	79
#define scalerRecordD23	80
#define scalerRecordD24	81
#define scalerRecordD25	82
#define scalerRecordD26	83
#define scalerRecordD27	84
#define scalerRecordD28	85
#define scalerRecordD29	86
#define scalerRecordD30	87
#define scalerRecordD31	88
#define scalerRecordD32	89
#define scalerRecordG1	90
#define scalerRecordG2	91
#define scalerRecordG3	92
#define scalerRecordG4	93
#define scalerRecordG5	94
#define scalerRecordG6	95
#define scalerRecordG7	96
#define scalerRecordG8	97
#define scalerRecordG9	98
#define scalerRecordG10	99
#define scalerRecordG11	100
#define scalerRecordG12	101
#define scalerRecordG13	102
#define scalerRecordG14	103
#define scalerRecordG15	104
#define scalerRecordG16	105
#define scalerRecordG17	106
#define scalerRecordG18	107
#define scalerRecordG19	108
#define scalerRecordG20	109
#define scalerRecordG21	110
#define scalerRecordG22	111
#define scalerRecordG23	112
#define scalerRecordG24	113
#define scalerRecordG25	114
#define scalerRecordG26	115
#define scalerRecordG27	116
#define scalerRecordG28	117
#define scalerRecordG29	118
#define scalerRecordG30	119
#define scalerRecordG31	120
#define scalerRecordG32	121
#define scalerRecordTP	122
#define scalerRecordTP1	123
#define scalerRecordPR1	124
#define scalerRecordPR2	125
#define scalerRecordPR3	126
#define scalerRecordPR4	127
#define scalerRecordPR5	128
#define scalerRecordPR6	129
#define scalerRecordPR7	130
#define scalerRecordPR8	131
#define scalerRecordPR9	132
#define scalerRecordPR10	133
#define scalerRecordPR11	134
#define scalerRecordPR12	135
#define scalerRecordPR13	136
#define scalerRecordPR14	137
#define scalerRecordPR15	138
#define scalerRecordPR16	139
#define scalerRecordPR17	140
#define scalerRecordPR18	141
#define scalerRecordPR19	142
#define scalerRecordPR20	143
#define scalerRecordPR21	144
#define scalerRecordPR22	145
#define scalerRecordPR23	146
#define scalerRecordPR24	147
#define scalerRecordPR25	148
#define scalerRecordPR26	149
#define scalerRecordPR27	150
#define scalerRecordPR28	151
#define scalerRecordPR29	152
#define scalerRecordPR30	153
#define scalerRecordPR31	154
#define scalerRecordPR32	155
#define scalerRecordT	156
#define scalerRecordS1	157
#define scalerRecordS2	158
#define scalerRecordS3	159
#define scalerRecordS4	160
#define scalerRecordS5	161
#define scalerRecordS6	162
#define scalerRecordS7	163
#define scalerRecordS8	164
#define scalerRecordS9	165
#define scalerRecordS10	166
#define scalerRecordS11	167
#define scalerRecordS12	168
#define scalerRecordS13	169
#define scalerRecordS14	170
#define scalerRecordS15	171
#define scalerRecordS16	172
#define scalerRecordS17	173
#define scalerRecordS18	174
#define scalerRecordS19	175
#define scalerRecordS20	176
#define scalerRecordS21	177
#define scalerRecordS22	178
#define scalerRecordS23	179
#define scalerRecordS24	180
#define scalerRecordS25	181
#define scalerRecordS26	182
#define scalerRecordS27	183
#define scalerRecordS28	184
#define scalerRecordS29	185
#define scalerRecordS30	186
#define scalerRecordS31	187
#define scalerRecordS32	188
#define scalerRecordNM1	189
#define scalerRecordNM2	190
#define scalerRecordNM3	191
#define scalerRecordNM4	192
#define scalerRecordNM5	193
#define scalerRecordNM6	194
#define scalerRecordNM7	195
#define scalerRecordNM8	196
#define scalerRecordNM9	197
#define scalerRecordNM10	198
#define scalerRecordNM11	199
#define scalerRecordNM12	200
#define scalerRecordNM13	201
#define scalerRecordNM14	202
#define scalerRecordNM15	203
#define scalerRecordNM16	204
#define scalerRecordNM17	205
#define scalerRecordNM18	206
#define scalerRecordNM19	207
#define scalerRecordNM20	208
#define scalerRecordNM21	209
#define scalerRecordNM22	210
#define scalerRecordNM23	211
#define scalerRecordNM24	212
#define scalerRecordNM25	213
#define scalerRecordNM26	214
#define scalerRecordNM27	215
#define scalerRecordNM28	216
#define scalerRecordNM29	217
#define scalerRecordNM30	218
#define scalerRecordNM31	219
#define scalerRecordNM32	220
#define scalerRecordEGU	221
#define scalerRecordPREC	222
#define scalerRecordCOUT	223
#endif /*INCscalerH*/
#ifdef GEN_SIZE_OFFSET
int scalerRecordSizeOffset(dbRecordType *pdbRecordType)
{
    scalerRecord *prec = 0;
  pdbRecordType->papFldDes[0]->size=sizeof(prec->name);
  pdbRecordType->papFldDes[0]->offset=(short)((char *)&prec->name - (char *)prec);
  pdbRecordType->papFldDes[1]->size=sizeof(prec->desc);
  pdbRecordType->papFldDes[1]->offset=(short)((char *)&prec->desc - (char *)prec);
  pdbRecordType->papFldDes[2]->size=sizeof(prec->asg);
  pdbRecordType->papFldDes[2]->offset=(short)((char *)&prec->asg - (char *)prec);
  pdbRecordType->papFldDes[3]->size=sizeof(prec->scan);
  pdbRecordType->papFldDes[3]->offset=(short)((char *)&prec->scan - (char *)prec);
  pdbRecordType->papFldDes[4]->size=sizeof(prec->pini);
  pdbRecordType->papFldDes[4]->offset=(short)((char *)&prec->pini - (char *)prec);
  pdbRecordType->papFldDes[5]->size=sizeof(prec->phas);
  pdbRecordType->papFldDes[5]->offset=(short)((char *)&prec->phas - (char *)prec);
  pdbRecordType->papFldDes[6]->size=sizeof(prec->evnt);
  pdbRecordType->papFldDes[6]->offset=(short)((char *)&prec->evnt - (char *)prec);
  pdbRecordType->papFldDes[7]->size=sizeof(prec->tse);
  pdbRecordType->papFldDes[7]->offset=(short)((char *)&prec->tse - (char *)prec);
  pdbRecordType->papFldDes[8]->size=sizeof(prec->tsel);
  pdbRecordType->papFldDes[8]->offset=(short)((char *)&prec->tsel - (char *)prec);
  pdbRecordType->papFldDes[9]->size=sizeof(prec->dtyp);
  pdbRecordType->papFldDes[9]->offset=(short)((char *)&prec->dtyp - (char *)prec);
  pdbRecordType->papFldDes[10]->size=sizeof(prec->disv);
  pdbRecordType->papFldDes[10]->offset=(short)((char *)&prec->disv - (char *)prec);
  pdbRecordType->papFldDes[11]->size=sizeof(prec->disa);
  pdbRecordType->papFldDes[11]->offset=(short)((char *)&prec->disa - (char *)prec);
  pdbRecordType->papFldDes[12]->size=sizeof(prec->sdis);
  pdbRecordType->papFldDes[12]->offset=(short)((char *)&prec->sdis - (char *)prec);
  pdbRecordType->papFldDes[13]->size=sizeof(prec->mlok);
  pdbRecordType->papFldDes[13]->offset=(short)((char *)&prec->mlok - (char *)prec);
  pdbRecordType->papFldDes[14]->size=sizeof(prec->mlis);
  pdbRecordType->papFldDes[14]->offset=(short)((char *)&prec->mlis - (char *)prec);
  pdbRecordType->papFldDes[15]->size=sizeof(prec->disp);
  pdbRecordType->papFldDes[15]->offset=(short)((char *)&prec->disp - (char *)prec);
  pdbRecordType->papFldDes[16]->size=sizeof(prec->proc);
  pdbRecordType->papFldDes[16]->offset=(short)((char *)&prec->proc - (char *)prec);
  pdbRecordType->papFldDes[17]->size=sizeof(prec->stat);
  pdbRecordType->papFldDes[17]->offset=(short)((char *)&prec->stat - (char *)prec);
  pdbRecordType->papFldDes[18]->size=sizeof(prec->sevr);
  pdbRecordType->papFldDes[18]->offset=(short)((char *)&prec->sevr - (char *)prec);
  pdbRecordType->papFldDes[19]->size=sizeof(prec->nsta);
  pdbRecordType->papFldDes[19]->offset=(short)((char *)&prec->nsta - (char *)prec);
  pdbRecordType->papFldDes[20]->size=sizeof(prec->nsev);
  pdbRecordType->papFldDes[20]->offset=(short)((char *)&prec->nsev - (char *)prec);
  pdbRecordType->papFldDes[21]->size=sizeof(prec->acks);
  pdbRecordType->papFldDes[21]->offset=(short)((char *)&prec->acks - (char *)prec);
  pdbRecordType->papFldDes[22]->size=sizeof(prec->ackt);
  pdbRecordType->papFldDes[22]->offset=(short)((char *)&prec->ackt - (char *)prec);
  pdbRecordType->papFldDes[23]->size=sizeof(prec->diss);
  pdbRecordType->papFldDes[23]->offset=(short)((char *)&prec->diss - (char *)prec);
  pdbRecordType->papFldDes[24]->size=sizeof(prec->lcnt);
  pdbRecordType->papFldDes[24]->offset=(short)((char *)&prec->lcnt - (char *)prec);
  pdbRecordType->papFldDes[25]->size=sizeof(prec->pact);
  pdbRecordType->papFldDes[25]->offset=(short)((char *)&prec->pact - (char *)prec);
  pdbRecordType->papFldDes[26]->size=sizeof(prec->putf);
  pdbRecordType->papFldDes[26]->offset=(short)((char *)&prec->putf - (char *)prec);
  pdbRecordType->papFldDes[27]->size=sizeof(prec->rpro);
  pdbRecordType->papFldDes[27]->offset=(short)((char *)&prec->rpro - (char *)prec);
  pdbRecordType->papFldDes[28]->size=sizeof(prec->asp);
  pdbRecordType->papFldDes[28]->offset=(short)((char *)&prec->asp - (char *)prec);
  pdbRecordType->papFldDes[29]->size=sizeof(prec->ppn);
  pdbRecordType->papFldDes[29]->offset=(short)((char *)&prec->ppn - (char *)prec);
  pdbRecordType->papFldDes[30]->size=sizeof(prec->ppnn);
  pdbRecordType->papFldDes[30]->offset=(short)((char *)&prec->ppnn - (char *)prec);
  pdbRecordType->papFldDes[31]->size=sizeof(prec->spvt);
  pdbRecordType->papFldDes[31]->offset=(short)((char *)&prec->spvt - (char *)prec);
  pdbRecordType->papFldDes[32]->size=sizeof(prec->rset);
  pdbRecordType->papFldDes[32]->offset=(short)((char *)&prec->rset - (char *)prec);
  pdbRecordType->papFldDes[33]->size=sizeof(prec->dset);
  pdbRecordType->papFldDes[33]->offset=(short)((char *)&prec->dset - (char *)prec);
  pdbRecordType->papFldDes[34]->size=sizeof(prec->dpvt);
  pdbRecordType->papFldDes[34]->offset=(short)((char *)&prec->dpvt - (char *)prec);
  pdbRecordType->papFldDes[35]->size=sizeof(prec->rdes);
  pdbRecordType->papFldDes[35]->offset=(short)((char *)&prec->rdes - (char *)prec);
  pdbRecordType->papFldDes[36]->size=sizeof(prec->lset);
  pdbRecordType->papFldDes[36]->offset=(short)((char *)&prec->lset - (char *)prec);
  pdbRecordType->papFldDes[37]->size=sizeof(prec->prio);
  pdbRecordType->papFldDes[37]->offset=(short)((char *)&prec->prio - (char *)prec);
  pdbRecordType->papFldDes[38]->size=sizeof(prec->tpro);
  pdbRecordType->papFldDes[38]->offset=(short)((char *)&prec->tpro - (char *)prec);
  pdbRecordType->papFldDes[39]->size=sizeof(prec->bkpt);
  pdbRecordType->papFldDes[39]->offset=(short)((char *)&prec->bkpt - (char *)prec);
  pdbRecordType->papFldDes[40]->size=sizeof(prec->udf);
  pdbRecordType->papFldDes[40]->offset=(short)((char *)&prec->udf - (char *)prec);
  pdbRecordType->papFldDes[41]->size=sizeof(prec->time);
  pdbRecordType->papFldDes[41]->offset=(short)((char *)&prec->time - (char *)prec);
  pdbRecordType->papFldDes[42]->size=sizeof(prec->flnk);
  pdbRecordType->papFldDes[42]->offset=(short)((char *)&prec->flnk - (char *)prec);
  pdbRecordType->papFldDes[43]->size=sizeof(prec->vers);
  pdbRecordType->papFldDes[43]->offset=(short)((char *)&prec->vers - (char *)prec);
  pdbRecordType->papFldDes[44]->size=sizeof(prec->val);
  pdbRecordType->papFldDes[44]->offset=(short)((char *)&prec->val - (char *)prec);
  pdbRecordType->papFldDes[45]->size=sizeof(prec->freq);
  pdbRecordType->papFldDes[45]->offset=(short)((char *)&prec->freq - (char *)prec);
  pdbRecordType->papFldDes[46]->size=sizeof(prec->cnt);
  pdbRecordType->papFldDes[46]->offset=(short)((char *)&prec->cnt - (char *)prec);
  pdbRecordType->papFldDes[47]->size=sizeof(prec->pcnt);
  pdbRecordType->papFldDes[47]->offset=(short)((char *)&prec->pcnt - (char *)prec);
  pdbRecordType->papFldDes[48]->size=sizeof(prec->ss);
  pdbRecordType->papFldDes[48]->offset=(short)((char *)&prec->ss - (char *)prec);
  pdbRecordType->papFldDes[49]->size=sizeof(prec->us);
  pdbRecordType->papFldDes[49]->offset=(short)((char *)&prec->us - (char *)prec);
  pdbRecordType->papFldDes[50]->size=sizeof(prec->cont);
  pdbRecordType->papFldDes[50]->offset=(short)((char *)&prec->cont - (char *)prec);
  pdbRecordType->papFldDes[51]->size=sizeof(prec->out);
  pdbRecordType->papFldDes[51]->offset=(short)((char *)&prec->out - (char *)prec);
  pdbRecordType->papFldDes[52]->size=sizeof(prec->card);
  pdbRecordType->papFldDes[52]->offset=(short)((char *)&prec->card - (char *)prec);
  pdbRecordType->papFldDes[53]->size=sizeof(prec->rate);
  pdbRecordType->papFldDes[53]->offset=(short)((char *)&prec->rate - (char *)prec);
  pdbRecordType->papFldDes[54]->size=sizeof(prec->rat1);
  pdbRecordType->papFldDes[54]->offset=(short)((char *)&prec->rat1 - (char *)prec);
  pdbRecordType->papFldDes[55]->size=sizeof(prec->dly);
  pdbRecordType->papFldDes[55]->offset=(short)((char *)&prec->dly - (char *)prec);
  pdbRecordType->papFldDes[56]->size=sizeof(prec->dly1);
  pdbRecordType->papFldDes[56]->offset=(short)((char *)&prec->dly1 - (char *)prec);
  pdbRecordType->papFldDes[57]->size=sizeof(prec->nch);
  pdbRecordType->papFldDes[57]->offset=(short)((char *)&prec->nch - (char *)prec);
  pdbRecordType->papFldDes[58]->size=sizeof(prec->d1);
  pdbRecordType->papFldDes[58]->offset=(short)((char *)&prec->d1 - (char *)prec);
  pdbRecordType->papFldDes[59]->size=sizeof(prec->d2);
  pdbRecordType->papFldDes[59]->offset=(short)((char *)&prec->d2 - (char *)prec);
  pdbRecordType->papFldDes[60]->size=sizeof(prec->d3);
  pdbRecordType->papFldDes[60]->offset=(short)((char *)&prec->d3 - (char *)prec);
  pdbRecordType->papFldDes[61]->size=sizeof(prec->d4);
  pdbRecordType->papFldDes[61]->offset=(short)((char *)&prec->d4 - (char *)prec);
  pdbRecordType->papFldDes[62]->size=sizeof(prec->d5);
  pdbRecordType->papFldDes[62]->offset=(short)((char *)&prec->d5 - (char *)prec);
  pdbRecordType->papFldDes[63]->size=sizeof(prec->d6);
  pdbRecordType->papFldDes[63]->offset=(short)((char *)&prec->d6 - (char *)prec);
  pdbRecordType->papFldDes[64]->size=sizeof(prec->d7);
  pdbRecordType->papFldDes[64]->offset=(short)((char *)&prec->d7 - (char *)prec);
  pdbRecordType->papFldDes[65]->size=sizeof(prec->d8);
  pdbRecordType->papFldDes[65]->offset=(short)((char *)&prec->d8 - (char *)prec);
  pdbRecordType->papFldDes[66]->size=sizeof(prec->d9);
  pdbRecordType->papFldDes[66]->offset=(short)((char *)&prec->d9 - (char *)prec);
  pdbRecordType->papFldDes[67]->size=sizeof(prec->d10);
  pdbRecordType->papFldDes[67]->offset=(short)((char *)&prec->d10 - (char *)prec);
  pdbRecordType->papFldDes[68]->size=sizeof(prec->d11);
  pdbRecordType->papFldDes[68]->offset=(short)((char *)&prec->d11 - (char *)prec);
  pdbRecordType->papFldDes[69]->size=sizeof(prec->d12);
  pdbRecordType->papFldDes[69]->offset=(short)((char *)&prec->d12 - (char *)prec);
  pdbRecordType->papFldDes[70]->size=sizeof(prec->d13);
  pdbRecordType->papFldDes[70]->offset=(short)((char *)&prec->d13 - (char *)prec);
  pdbRecordType->papFldDes[71]->size=sizeof(prec->d14);
  pdbRecordType->papFldDes[71]->offset=(short)((char *)&prec->d14 - (char *)prec);
  pdbRecordType->papFldDes[72]->size=sizeof(prec->d15);
  pdbRecordType->papFldDes[72]->offset=(short)((char *)&prec->d15 - (char *)prec);
  pdbRecordType->papFldDes[73]->size=sizeof(prec->d16);
  pdbRecordType->papFldDes[73]->offset=(short)((char *)&prec->d16 - (char *)prec);
  pdbRecordType->papFldDes[74]->size=sizeof(prec->d17);
  pdbRecordType->papFldDes[74]->offset=(short)((char *)&prec->d17 - (char *)prec);
  pdbRecordType->papFldDes[75]->size=sizeof(prec->d18);
  pdbRecordType->papFldDes[75]->offset=(short)((char *)&prec->d18 - (char *)prec);
  pdbRecordType->papFldDes[76]->size=sizeof(prec->d19);
  pdbRecordType->papFldDes[76]->offset=(short)((char *)&prec->d19 - (char *)prec);
  pdbRecordType->papFldDes[77]->size=sizeof(prec->d20);
  pdbRecordType->papFldDes[77]->offset=(short)((char *)&prec->d20 - (char *)prec);
  pdbRecordType->papFldDes[78]->size=sizeof(prec->d21);
  pdbRecordType->papFldDes[78]->offset=(short)((char *)&prec->d21 - (char *)prec);
  pdbRecordType->papFldDes[79]->size=sizeof(prec->d22);
  pdbRecordType->papFldDes[79]->offset=(short)((char *)&prec->d22 - (char *)prec);
  pdbRecordType->papFldDes[80]->size=sizeof(prec->d23);
  pdbRecordType->papFldDes[80]->offset=(short)((char *)&prec->d23 - (char *)prec);
  pdbRecordType->papFldDes[81]->size=sizeof(prec->d24);
  pdbRecordType->papFldDes[81]->offset=(short)((char *)&prec->d24 - (char *)prec);
  pdbRecordType->papFldDes[82]->size=sizeof(prec->d25);
  pdbRecordType->papFldDes[82]->offset=(short)((char *)&prec->d25 - (char *)prec);
  pdbRecordType->papFldDes[83]->size=sizeof(prec->d26);
  pdbRecordType->papFldDes[83]->offset=(short)((char *)&prec->d26 - (char *)prec);
  pdbRecordType->papFldDes[84]->size=sizeof(prec->d27);
  pdbRecordType->papFldDes[84]->offset=(short)((char *)&prec->d27 - (char *)prec);
  pdbRecordType->papFldDes[85]->size=sizeof(prec->d28);
  pdbRecordType->papFldDes[85]->offset=(short)((char *)&prec->d28 - (char *)prec);
  pdbRecordType->papFldDes[86]->size=sizeof(prec->d29);
  pdbRecordType->papFldDes[86]->offset=(short)((char *)&prec->d29 - (char *)prec);
  pdbRecordType->papFldDes[87]->size=sizeof(prec->d30);
  pdbRecordType->papFldDes[87]->offset=(short)((char *)&prec->d30 - (char *)prec);
  pdbRecordType->papFldDes[88]->size=sizeof(prec->d31);
  pdbRecordType->papFldDes[88]->offset=(short)((char *)&prec->d31 - (char *)prec);
  pdbRecordType->papFldDes[89]->size=sizeof(prec->d32);
  pdbRecordType->papFldDes[89]->offset=(short)((char *)&prec->d32 - (char *)prec);
  pdbRecordType->papFldDes[90]->size=sizeof(prec->g1);
  pdbRecordType->papFldDes[90]->offset=(short)((char *)&prec->g1 - (char *)prec);
  pdbRecordType->papFldDes[91]->size=sizeof(prec->g2);
  pdbRecordType->papFldDes[91]->offset=(short)((char *)&prec->g2 - (char *)prec);
  pdbRecordType->papFldDes[92]->size=sizeof(prec->g3);
  pdbRecordType->papFldDes[92]->offset=(short)((char *)&prec->g3 - (char *)prec);
  pdbRecordType->papFldDes[93]->size=sizeof(prec->g4);
  pdbRecordType->papFldDes[93]->offset=(short)((char *)&prec->g4 - (char *)prec);
  pdbRecordType->papFldDes[94]->size=sizeof(prec->g5);
  pdbRecordType->papFldDes[94]->offset=(short)((char *)&prec->g5 - (char *)prec);
  pdbRecordType->papFldDes[95]->size=sizeof(prec->g6);
  pdbRecordType->papFldDes[95]->offset=(short)((char *)&prec->g6 - (char *)prec);
  pdbRecordType->papFldDes[96]->size=sizeof(prec->g7);
  pdbRecordType->papFldDes[96]->offset=(short)((char *)&prec->g7 - (char *)prec);
  pdbRecordType->papFldDes[97]->size=sizeof(prec->g8);
  pdbRecordType->papFldDes[97]->offset=(short)((char *)&prec->g8 - (char *)prec);
  pdbRecordType->papFldDes[98]->size=sizeof(prec->g9);
  pdbRecordType->papFldDes[98]->offset=(short)((char *)&prec->g9 - (char *)prec);
  pdbRecordType->papFldDes[99]->size=sizeof(prec->g10);
  pdbRecordType->papFldDes[99]->offset=(short)((char *)&prec->g10 - (char *)prec);
  pdbRecordType->papFldDes[100]->size=sizeof(prec->g11);
  pdbRecordType->papFldDes[100]->offset=(short)((char *)&prec->g11 - (char *)prec);
  pdbRecordType->papFldDes[101]->size=sizeof(prec->g12);
  pdbRecordType->papFldDes[101]->offset=(short)((char *)&prec->g12 - (char *)prec);
  pdbRecordType->papFldDes[102]->size=sizeof(prec->g13);
  pdbRecordType->papFldDes[102]->offset=(short)((char *)&prec->g13 - (char *)prec);
  pdbRecordType->papFldDes[103]->size=sizeof(prec->g14);
  pdbRecordType->papFldDes[103]->offset=(short)((char *)&prec->g14 - (char *)prec);
  pdbRecordType->papFldDes[104]->size=sizeof(prec->g15);
  pdbRecordType->papFldDes[104]->offset=(short)((char *)&prec->g15 - (char *)prec);
  pdbRecordType->papFldDes[105]->size=sizeof(prec->g16);
  pdbRecordType->papFldDes[105]->offset=(short)((char *)&prec->g16 - (char *)prec);
  pdbRecordType->papFldDes[106]->size=sizeof(prec->g17);
  pdbRecordType->papFldDes[106]->offset=(short)((char *)&prec->g17 - (char *)prec);
  pdbRecordType->papFldDes[107]->size=sizeof(prec->g18);
  pdbRecordType->papFldDes[107]->offset=(short)((char *)&prec->g18 - (char *)prec);
  pdbRecordType->papFldDes[108]->size=sizeof(prec->g19);
  pdbRecordType->papFldDes[108]->offset=(short)((char *)&prec->g19 - (char *)prec);
  pdbRecordType->papFldDes[109]->size=sizeof(prec->g20);
  pdbRecordType->papFldDes[109]->offset=(short)((char *)&prec->g20 - (char *)prec);
  pdbRecordType->papFldDes[110]->size=sizeof(prec->g21);
  pdbRecordType->papFldDes[110]->offset=(short)((char *)&prec->g21 - (char *)prec);
  pdbRecordType->papFldDes[111]->size=sizeof(prec->g22);
  pdbRecordType->papFldDes[111]->offset=(short)((char *)&prec->g22 - (char *)prec);
  pdbRecordType->papFldDes[112]->size=sizeof(prec->g23);
  pdbRecordType->papFldDes[112]->offset=(short)((char *)&prec->g23 - (char *)prec);
  pdbRecordType->papFldDes[113]->size=sizeof(prec->g24);
  pdbRecordType->papFldDes[113]->offset=(short)((char *)&prec->g24 - (char *)prec);
  pdbRecordType->papFldDes[114]->size=sizeof(prec->g25);
  pdbRecordType->papFldDes[114]->offset=(short)((char *)&prec->g25 - (char *)prec);
  pdbRecordType->papFldDes[115]->size=sizeof(prec->g26);
  pdbRecordType->papFldDes[115]->offset=(short)((char *)&prec->g26 - (char *)prec);
  pdbRecordType->papFldDes[116]->size=sizeof(prec->g27);
  pdbRecordType->papFldDes[116]->offset=(short)((char *)&prec->g27 - (char *)prec);
  pdbRecordType->papFldDes[117]->size=sizeof(prec->g28);
  pdbRecordType->papFldDes[117]->offset=(short)((char *)&prec->g28 - (char *)prec);
  pdbRecordType->papFldDes[118]->size=sizeof(prec->g29);
  pdbRecordType->papFldDes[118]->offset=(short)((char *)&prec->g29 - (char *)prec);
  pdbRecordType->papFldDes[119]->size=sizeof(prec->g30);
  pdbRecordType->papFldDes[119]->offset=(short)((char *)&prec->g30 - (char *)prec);
  pdbRecordType->papFldDes[120]->size=sizeof(prec->g31);
  pdbRecordType->papFldDes[120]->offset=(short)((char *)&prec->g31 - (char *)prec);
  pdbRecordType->papFldDes[121]->size=sizeof(prec->g32);
  pdbRecordType->papFldDes[121]->offset=(short)((char *)&prec->g32 - (char *)prec);
  pdbRecordType->papFldDes[122]->size=sizeof(prec->tp);
  pdbRecordType->papFldDes[122]->offset=(short)((char *)&prec->tp - (char *)prec);
  pdbRecordType->papFldDes[123]->size=sizeof(prec->tp1);
  pdbRecordType->papFldDes[123]->offset=(short)((char *)&prec->tp1 - (char *)prec);
  pdbRecordType->papFldDes[124]->size=sizeof(prec->pr1);
  pdbRecordType->papFldDes[124]->offset=(short)((char *)&prec->pr1 - (char *)prec);
  pdbRecordType->papFldDes[125]->size=sizeof(prec->pr2);
  pdbRecordType->papFldDes[125]->offset=(short)((char *)&prec->pr2 - (char *)prec);
  pdbRecordType->papFldDes[126]->size=sizeof(prec->pr3);
  pdbRecordType->papFldDes[126]->offset=(short)((char *)&prec->pr3 - (char *)prec);
  pdbRecordType->papFldDes[127]->size=sizeof(prec->pr4);
  pdbRecordType->papFldDes[127]->offset=(short)((char *)&prec->pr4 - (char *)prec);
  pdbRecordType->papFldDes[128]->size=sizeof(prec->pr5);
  pdbRecordType->papFldDes[128]->offset=(short)((char *)&prec->pr5 - (char *)prec);
  pdbRecordType->papFldDes[129]->size=sizeof(prec->pr6);
  pdbRecordType->papFldDes[129]->offset=(short)((char *)&prec->pr6 - (char *)prec);
  pdbRecordType->papFldDes[130]->size=sizeof(prec->pr7);
  pdbRecordType->papFldDes[130]->offset=(short)((char *)&prec->pr7 - (char *)prec);
  pdbRecordType->papFldDes[131]->size=sizeof(prec->pr8);
  pdbRecordType->papFldDes[131]->offset=(short)((char *)&prec->pr8 - (char *)prec);
  pdbRecordType->papFldDes[132]->size=sizeof(prec->pr9);
  pdbRecordType->papFldDes[132]->offset=(short)((char *)&prec->pr9 - (char *)prec);
  pdbRecordType->papFldDes[133]->size=sizeof(prec->pr10);
  pdbRecordType->papFldDes[133]->offset=(short)((char *)&prec->pr10 - (char *)prec);
  pdbRecordType->papFldDes[134]->size=sizeof(prec->pr11);
  pdbRecordType->papFldDes[134]->offset=(short)((char *)&prec->pr11 - (char *)prec);
  pdbRecordType->papFldDes[135]->size=sizeof(prec->pr12);
  pdbRecordType->papFldDes[135]->offset=(short)((char *)&prec->pr12 - (char *)prec);
  pdbRecordType->papFldDes[136]->size=sizeof(prec->pr13);
  pdbRecordType->papFldDes[136]->offset=(short)((char *)&prec->pr13 - (char *)prec);
  pdbRecordType->papFldDes[137]->size=sizeof(prec->pr14);
  pdbRecordType->papFldDes[137]->offset=(short)((char *)&prec->pr14 - (char *)prec);
  pdbRecordType->papFldDes[138]->size=sizeof(prec->pr15);
  pdbRecordType->papFldDes[138]->offset=(short)((char *)&prec->pr15 - (char *)prec);
  pdbRecordType->papFldDes[139]->size=sizeof(prec->pr16);
  pdbRecordType->papFldDes[139]->offset=(short)((char *)&prec->pr16 - (char *)prec);
  pdbRecordType->papFldDes[140]->size=sizeof(prec->pr17);
  pdbRecordType->papFldDes[140]->offset=(short)((char *)&prec->pr17 - (char *)prec);
  pdbRecordType->papFldDes[141]->size=sizeof(prec->pr18);
  pdbRecordType->papFldDes[141]->offset=(short)((char *)&prec->pr18 - (char *)prec);
  pdbRecordType->papFldDes[142]->size=sizeof(prec->pr19);
  pdbRecordType->papFldDes[142]->offset=(short)((char *)&prec->pr19 - (char *)prec);
  pdbRecordType->papFldDes[143]->size=sizeof(prec->pr20);
  pdbRecordType->papFldDes[143]->offset=(short)((char *)&prec->pr20 - (char *)prec);
  pdbRecordType->papFldDes[144]->size=sizeof(prec->pr21);
  pdbRecordType->papFldDes[144]->offset=(short)((char *)&prec->pr21 - (char *)prec);
  pdbRecordType->papFldDes[145]->size=sizeof(prec->pr22);
  pdbRecordType->papFldDes[145]->offset=(short)((char *)&prec->pr22 - (char *)prec);
  pdbRecordType->papFldDes[146]->size=sizeof(prec->pr23);
  pdbRecordType->papFldDes[146]->offset=(short)((char *)&prec->pr23 - (char *)prec);
  pdbRecordType->papFldDes[147]->size=sizeof(prec->pr24);
  pdbRecordType->papFldDes[147]->offset=(short)((char *)&prec->pr24 - (char *)prec);
  pdbRecordType->papFldDes[148]->size=sizeof(prec->pr25);
  pdbRecordType->papFldDes[148]->offset=(short)((char *)&prec->pr25 - (char *)prec);
  pdbRecordType->papFldDes[149]->size=sizeof(prec->pr26);
  pdbRecordType->papFldDes[149]->offset=(short)((char *)&prec->pr26 - (char *)prec);
  pdbRecordType->papFldDes[150]->size=sizeof(prec->pr27);
  pdbRecordType->papFldDes[150]->offset=(short)((char *)&prec->pr27 - (char *)prec);
  pdbRecordType->papFldDes[151]->size=sizeof(prec->pr28);
  pdbRecordType->papFldDes[151]->offset=(short)((char *)&prec->pr28 - (char *)prec);
  pdbRecordType->papFldDes[152]->size=sizeof(prec->pr29);
  pdbRecordType->papFldDes[152]->offset=(short)((char *)&prec->pr29 - (char *)prec);
  pdbRecordType->papFldDes[153]->size=sizeof(prec->pr30);
  pdbRecordType->papFldDes[153]->offset=(short)((char *)&prec->pr30 - (char *)prec);
  pdbRecordType->papFldDes[154]->size=sizeof(prec->pr31);
  pdbRecordType->papFldDes[154]->offset=(short)((char *)&prec->pr31 - (char *)prec);
  pdbRecordType->papFldDes[155]->size=sizeof(prec->pr32);
  pdbRecordType->papFldDes[155]->offset=(short)((char *)&prec->pr32 - (char *)prec);
  pdbRecordType->papFldDes[156]->size=sizeof(prec->t);
  pdbRecordType->papFldDes[156]->offset=(short)((char *)&prec->t - (char *)prec);
  pdbRecordType->papFldDes[157]->size=sizeof(prec->s1);
  pdbRecordType->papFldDes[157]->offset=(short)((char *)&prec->s1 - (char *)prec);
  pdbRecordType->papFldDes[158]->size=sizeof(prec->s2);
  pdbRecordType->papFldDes[158]->offset=(short)((char *)&prec->s2 - (char *)prec);
  pdbRecordType->papFldDes[159]->size=sizeof(prec->s3);
  pdbRecordType->papFldDes[159]->offset=(short)((char *)&prec->s3 - (char *)prec);
  pdbRecordType->papFldDes[160]->size=sizeof(prec->s4);
  pdbRecordType->papFldDes[160]->offset=(short)((char *)&prec->s4 - (char *)prec);
  pdbRecordType->papFldDes[161]->size=sizeof(prec->s5);
  pdbRecordType->papFldDes[161]->offset=(short)((char *)&prec->s5 - (char *)prec);
  pdbRecordType->papFldDes[162]->size=sizeof(prec->s6);
  pdbRecordType->papFldDes[162]->offset=(short)((char *)&prec->s6 - (char *)prec);
  pdbRecordType->papFldDes[163]->size=sizeof(prec->s7);
  pdbRecordType->papFldDes[163]->offset=(short)((char *)&prec->s7 - (char *)prec);
  pdbRecordType->papFldDes[164]->size=sizeof(prec->s8);
  pdbRecordType->papFldDes[164]->offset=(short)((char *)&prec->s8 - (char *)prec);
  pdbRecordType->papFldDes[165]->size=sizeof(prec->s9);
  pdbRecordType->papFldDes[165]->offset=(short)((char *)&prec->s9 - (char *)prec);
  pdbRecordType->papFldDes[166]->size=sizeof(prec->s10);
  pdbRecordType->papFldDes[166]->offset=(short)((char *)&prec->s10 - (char *)prec);
  pdbRecordType->papFldDes[167]->size=sizeof(prec->s11);
  pdbRecordType->papFldDes[167]->offset=(short)((char *)&prec->s11 - (char *)prec);
  pdbRecordType->papFldDes[168]->size=sizeof(prec->s12);
  pdbRecordType->papFldDes[168]->offset=(short)((char *)&prec->s12 - (char *)prec);
  pdbRecordType->papFldDes[169]->size=sizeof(prec->s13);
  pdbRecordType->papFldDes[169]->offset=(short)((char *)&prec->s13 - (char *)prec);
  pdbRecordType->papFldDes[170]->size=sizeof(prec->s14);
  pdbRecordType->papFldDes[170]->offset=(short)((char *)&prec->s14 - (char *)prec);
  pdbRecordType->papFldDes[171]->size=sizeof(prec->s15);
  pdbRecordType->papFldDes[171]->offset=(short)((char *)&prec->s15 - (char *)prec);
  pdbRecordType->papFldDes[172]->size=sizeof(prec->s16);
  pdbRecordType->papFldDes[172]->offset=(short)((char *)&prec->s16 - (char *)prec);
  pdbRecordType->papFldDes[173]->size=sizeof(prec->s17);
  pdbRecordType->papFldDes[173]->offset=(short)((char *)&prec->s17 - (char *)prec);
  pdbRecordType->papFldDes[174]->size=sizeof(prec->s18);
  pdbRecordType->papFldDes[174]->offset=(short)((char *)&prec->s18 - (char *)prec);
  pdbRecordType->papFldDes[175]->size=sizeof(prec->s19);
  pdbRecordType->papFldDes[175]->offset=(short)((char *)&prec->s19 - (char *)prec);
  pdbRecordType->papFldDes[176]->size=sizeof(prec->s20);
  pdbRecordType->papFldDes[176]->offset=(short)((char *)&prec->s20 - (char *)prec);
  pdbRecordType->papFldDes[177]->size=sizeof(prec->s21);
  pdbRecordType->papFldDes[177]->offset=(short)((char *)&prec->s21 - (char *)prec);
  pdbRecordType->papFldDes[178]->size=sizeof(prec->s22);
  pdbRecordType->papFldDes[178]->offset=(short)((char *)&prec->s22 - (char *)prec);
  pdbRecordType->papFldDes[179]->size=sizeof(prec->s23);
  pdbRecordType->papFldDes[179]->offset=(short)((char *)&prec->s23 - (char *)prec);
  pdbRecordType->papFldDes[180]->size=sizeof(prec->s24);
  pdbRecordType->papFldDes[180]->offset=(short)((char *)&prec->s24 - (char *)prec);
  pdbRecordType->papFldDes[181]->size=sizeof(prec->s25);
  pdbRecordType->papFldDes[181]->offset=(short)((char *)&prec->s25 - (char *)prec);
  pdbRecordType->papFldDes[182]->size=sizeof(prec->s26);
  pdbRecordType->papFldDes[182]->offset=(short)((char *)&prec->s26 - (char *)prec);
  pdbRecordType->papFldDes[183]->size=sizeof(prec->s27);
  pdbRecordType->papFldDes[183]->offset=(short)((char *)&prec->s27 - (char *)prec);
  pdbRecordType->papFldDes[184]->size=sizeof(prec->s28);
  pdbRecordType->papFldDes[184]->offset=(short)((char *)&prec->s28 - (char *)prec);
  pdbRecordType->papFldDes[185]->size=sizeof(prec->s29);
  pdbRecordType->papFldDes[185]->offset=(short)((char *)&prec->s29 - (char *)prec);
  pdbRecordType->papFldDes[186]->size=sizeof(prec->s30);
  pdbRecordType->papFldDes[186]->offset=(short)((char *)&prec->s30 - (char *)prec);
  pdbRecordType->papFldDes[187]->size=sizeof(prec->s31);
  pdbRecordType->papFldDes[187]->offset=(short)((char *)&prec->s31 - (char *)prec);
  pdbRecordType->papFldDes[188]->size=sizeof(prec->s32);
  pdbRecordType->papFldDes[188]->offset=(short)((char *)&prec->s32 - (char *)prec);
  pdbRecordType->papFldDes[189]->size=sizeof(prec->nm1);
  pdbRecordType->papFldDes[189]->offset=(short)((char *)&prec->nm1 - (char *)prec);
  pdbRecordType->papFldDes[190]->size=sizeof(prec->nm2);
  pdbRecordType->papFldDes[190]->offset=(short)((char *)&prec->nm2 - (char *)prec);
  pdbRecordType->papFldDes[191]->size=sizeof(prec->nm3);
  pdbRecordType->papFldDes[191]->offset=(short)((char *)&prec->nm3 - (char *)prec);
  pdbRecordType->papFldDes[192]->size=sizeof(prec->nm4);
  pdbRecordType->papFldDes[192]->offset=(short)((char *)&prec->nm4 - (char *)prec);
  pdbRecordType->papFldDes[193]->size=sizeof(prec->nm5);
  pdbRecordType->papFldDes[193]->offset=(short)((char *)&prec->nm5 - (char *)prec);
  pdbRecordType->papFldDes[194]->size=sizeof(prec->nm6);
  pdbRecordType->papFldDes[194]->offset=(short)((char *)&prec->nm6 - (char *)prec);
  pdbRecordType->papFldDes[195]->size=sizeof(prec->nm7);
  pdbRecordType->papFldDes[195]->offset=(short)((char *)&prec->nm7 - (char *)prec);
  pdbRecordType->papFldDes[196]->size=sizeof(prec->nm8);
  pdbRecordType->papFldDes[196]->offset=(short)((char *)&prec->nm8 - (char *)prec);
  pdbRecordType->papFldDes[197]->size=sizeof(prec->nm9);
  pdbRecordType->papFldDes[197]->offset=(short)((char *)&prec->nm9 - (char *)prec);
  pdbRecordType->papFldDes[198]->size=sizeof(prec->nm10);
  pdbRecordType->papFldDes[198]->offset=(short)((char *)&prec->nm10 - (char *)prec);
  pdbRecordType->papFldDes[199]->size=sizeof(prec->nm11);
  pdbRecordType->papFldDes[199]->offset=(short)((char *)&prec->nm11 - (char *)prec);
  pdbRecordType->papFldDes[200]->size=sizeof(prec->nm12);
  pdbRecordType->papFldDes[200]->offset=(short)((char *)&prec->nm12 - (char *)prec);
  pdbRecordType->papFldDes[201]->size=sizeof(prec->nm13);
  pdbRecordType->papFldDes[201]->offset=(short)((char *)&prec->nm13 - (char *)prec);
  pdbRecordType->papFldDes[202]->size=sizeof(prec->nm14);
  pdbRecordType->papFldDes[202]->offset=(short)((char *)&prec->nm14 - (char *)prec);
  pdbRecordType->papFldDes[203]->size=sizeof(prec->nm15);
  pdbRecordType->papFldDes[203]->offset=(short)((char *)&prec->nm15 - (char *)prec);
  pdbRecordType->papFldDes[204]->size=sizeof(prec->nm16);
  pdbRecordType->papFldDes[204]->offset=(short)((char *)&prec->nm16 - (char *)prec);
  pdbRecordType->papFldDes[205]->size=sizeof(prec->nm17);
  pdbRecordType->papFldDes[205]->offset=(short)((char *)&prec->nm17 - (char *)prec);
  pdbRecordType->papFldDes[206]->size=sizeof(prec->nm18);
  pdbRecordType->papFldDes[206]->offset=(short)((char *)&prec->nm18 - (char *)prec);
  pdbRecordType->papFldDes[207]->size=sizeof(prec->nm19);
  pdbRecordType->papFldDes[207]->offset=(short)((char *)&prec->nm19 - (char *)prec);
  pdbRecordType->papFldDes[208]->size=sizeof(prec->nm20);
  pdbRecordType->papFldDes[208]->offset=(short)((char *)&prec->nm20 - (char *)prec);
  pdbRecordType->papFldDes[209]->size=sizeof(prec->nm21);
  pdbRecordType->papFldDes[209]->offset=(short)((char *)&prec->nm21 - (char *)prec);
  pdbRecordType->papFldDes[210]->size=sizeof(prec->nm22);
  pdbRecordType->papFldDes[210]->offset=(short)((char *)&prec->nm22 - (char *)prec);
  pdbRecordType->papFldDes[211]->size=sizeof(prec->nm23);
  pdbRecordType->papFldDes[211]->offset=(short)((char *)&prec->nm23 - (char *)prec);
  pdbRecordType->papFldDes[212]->size=sizeof(prec->nm24);
  pdbRecordType->papFldDes[212]->offset=(short)((char *)&prec->nm24 - (char *)prec);
  pdbRecordType->papFldDes[213]->size=sizeof(prec->nm25);
  pdbRecordType->papFldDes[213]->offset=(short)((char *)&prec->nm25 - (char *)prec);
  pdbRecordType->papFldDes[214]->size=sizeof(prec->nm26);
  pdbRecordType->papFldDes[214]->offset=(short)((char *)&prec->nm26 - (char *)prec);
  pdbRecordType->papFldDes[215]->size=sizeof(prec->nm27);
  pdbRecordType->papFldDes[215]->offset=(short)((char *)&prec->nm27 - (char *)prec);
  pdbRecordType->papFldDes[216]->size=sizeof(prec->nm28);
  pdbRecordType->papFldDes[216]->offset=(short)((char *)&prec->nm28 - (char *)prec);
  pdbRecordType->papFldDes[217]->size=sizeof(prec->nm29);
  pdbRecordType->papFldDes[217]->offset=(short)((char *)&prec->nm29 - (char *)prec);
  pdbRecordType->papFldDes[218]->size=sizeof(prec->nm30);
  pdbRecordType->papFldDes[218]->offset=(short)((char *)&prec->nm30 - (char *)prec);
  pdbRecordType->papFldDes[219]->size=sizeof(prec->nm31);
  pdbRecordType->papFldDes[219]->offset=(short)((char *)&prec->nm31 - (char *)prec);
  pdbRecordType->papFldDes[220]->size=sizeof(prec->nm32);
  pdbRecordType->papFldDes[220]->offset=(short)((char *)&prec->nm32 - (char *)prec);
  pdbRecordType->papFldDes[221]->size=sizeof(prec->egu);
  pdbRecordType->papFldDes[221]->offset=(short)((char *)&prec->egu - (char *)prec);
  pdbRecordType->papFldDes[222]->size=sizeof(prec->prec);
  pdbRecordType->papFldDes[222]->offset=(short)((char *)&prec->prec - (char *)prec);
  pdbRecordType->papFldDes[223]->size=sizeof(prec->cout);
  pdbRecordType->papFldDes[223]->offset=(short)((char *)&prec->cout - (char *)prec);
    pdbRecordType->rec_size = sizeof(*prec);
    return(0);
}
#endif /*GEN_SIZE_OFFSET*/
