#include <vxWorks.h>
#include <semLib.h>
#include "ellLib.h"
#include "fast_lock.h"
#include "link.h"
#include "tsDefs.h"

#ifndef INCwaitOOPTH
#define INCwaitOOPTH
typedef enum {
	waitOOPT_Every_Time,
	waitOOPT_On_Change,
	waitOOPT_When_Zero,
	waitOOPT_When_Non_zero,
	waitOOPT_Transition_To_Zero,
	waitOOPT_Transition_To_Non_zero
}waitOOPT;
#endif /*INCwaitOOPTH*/

#ifndef INCwaitINAVH
#define INCwaitINAVH
typedef enum {
	waitINAV_PV_OK,
	waitINAV_PV_BAD,
	waitINAV_No_PV
}waitINAV;
#endif /*INCwaitINAVH*/

#ifndef INCwaitINAPH
#define INCwaitINAPH
typedef enum {
	waitINAP_No,
	waitINAP_Yes
}waitINAP;
#endif /*INCwaitINAPH*/

#ifndef INCwaitDOPTH
#define INCwaitDOPTH
typedef enum {
	waitDOPT_Use_VAL,
	waitDOPT_Use_DOL
}waitDOPT;
#endif /*INCwaitDOPTH*/
#ifndef INCwaitH
#define INCwaitH
typedef struct waitRecord {
	char		name[29]; /*Record Name*/
	char		desc[29]; /*Descriptor*/
	char		asg[29]; /*Access Security Group*/
	unsigned short	scan;	/*Scan Mechanism*/
	unsigned short	pini;	/*Process at iocInit*/
	short		phas;	/*Scan Phase*/
	short		evnt;	/*Event Number*/
	short		tse;	/*Time Stamp Event*/
	DBLINK		tsel;	/*Time Stamp Link*/
	unsigned short	dtyp;	/*Device Type*/
	short		disv;	/*Disable Value*/
	short		disa;	/*Disable*/
	DBLINK		sdis;	/*Scanning Disable*/
	FAST_LOCK	mlok;	/*Monitor fastlock*/
	ELLLIST		mlis;	/*Monitor List*/
	unsigned char	disp;	/*Disable putField*/
	unsigned char	proc;	/*Force Processing*/
	unsigned short	stat;	/*Alarm Status*/
	unsigned short	sevr;	/*Alarm Severity*/
	unsigned short	nsta;	/*New Alarm Status*/
	unsigned short	nsev;	/*New Alarm Severity*/
	unsigned short	acks;	/*Alarm Ack Severity*/
	unsigned short	ackt;	/*Alarm Ack Transient*/
	unsigned short	diss;	/*Disable Alarm Sevrty*/
	unsigned char	lcnt;	/*Lock Count*/
	unsigned char	pact;	/*Record active*/
	unsigned char	putf;	/*dbPutField process*/
	unsigned char	rpro;	/*Reprocess */
	void		*asp;	/*Access Security Pvt*/
	struct putNotify *ppn;	/*addr of PUTNOTIFY*/
	struct pnWaitNode *ppnn;	/*next record PUTNOTIFY*/
	struct scan_element *spvt;	/*Scan Private*/
	struct rset	*rset;	/*Address of RSET*/
	struct dset	*dset;	/*DSET address*/
	void		*dpvt;	/*Device Private*/
	struct dbRecordType *rdes;	/*Address of dbRecordType*/
	struct lockRecord *lset;	/*Lock Set*/
	unsigned short	prio;	/*Scheduling Priority*/
	unsigned char	tpro;	/*Trace Processing*/
	char bkpt;	/*Break Point*/
	unsigned char	udf;	/*Undefined*/
	TS_STAMP	time;	/*Time*/
	DBLINK		flnk;	/*Forward Process Link*/
	float		vers;	/*Code Version*/
	float		hopr;	/*High Operating Range*/
	float		lopr;	/*Low Operating Range*/
	short		init;	/*Initialized?*/
	void *         cbst;	/*Pointer to cbStruct*/
	char		inan[40]; /*INPA PV Name*/
	char		inbn[40]; /*INPB PV Name*/
	char		incn[40]; /*INPC PV Name*/
	char		indn[40]; /*INPD PV Name*/
	char		inen[40]; /*INPE PV Name*/
	char		infn[40]; /*INPF PV Name*/
	char		ingn[40]; /*INPG PV Name*/
	char		inhn[40]; /*INPH PV Name*/
	char		inin[40]; /*INPI PV Name*/
	char		injn[40]; /*INPJ PV Name*/
	char		inkn[40]; /*INPK PV Name*/
	char		inln[40]; /*INPL PV Name*/
	char		doln[40]; /*DOL  PV Name*/
	char		outn[40]; /*OUT  PV Name*/
	unsigned short	inav;	/*INPA PV Status*/
	unsigned short	inbv;	/*INPB PV Status*/
	unsigned short	incv;	/*INPC PV Status*/
	unsigned short	indv;	/*INPD PV Status*/
	unsigned short	inev;	/*INPE PV Status*/
	unsigned short	infv;	/*INPF PV Status*/
	unsigned short	ingv;	/*INPG PV Status*/
	unsigned short	inhv;	/*INPH PV Status*/
	unsigned short	iniv;	/*INPI PV Status*/
	unsigned short	injv;	/*INPJ PV Status*/
	unsigned short	inkv;	/*INPK PV Status*/
	unsigned short	inlv;	/*INPL PV Status*/
	unsigned short	dolv;	/*DOL  PV Status*/
	unsigned short	outv;	/*OUT  PV Status*/
	double		a;	/*Value of Input A*/
	double		b;	/*Value of Input B*/
	double		c;	/*Value of Input C*/
	double		d;	/*Value of Input D*/
	double		e;	/*Value of Input E*/
	double		f;	/*Value of Input F*/
	double		g;	/*Value of Input G*/
	double		h;	/*Value of Input H*/
	double		i;	/*Value of Input I*/
	double		j;	/*Value of Input J*/
	double		k;	/*Value of Input K*/
	double		l;	/*Value of Input L*/
	double		la;	/*Last Val of Input A*/
	double		lb;	/*Last Val of Input B*/
	double		lc;	/*Last Val of Input C*/
	double		ld;	/*Last Val of Input D*/
	double		le;	/*Last Val of Input E*/
	double		lf;	/*Last Val of Input F*/
	double		lg;	/*Last Val of Input G*/
	double		lh;	/*Last Val of Input H*/
	double		li;	/*Last Val of Input I*/
	double		lj;	/*Last Val of Input J*/
	double		lk;	/*Last Val of Input K*/
	double		ll;	/*Last Val of Input L*/
	unsigned short	inap;	/*INPA causes I/O INTR*/
	unsigned short	inbp;	/*INPB causes I/O INTR*/
	unsigned short	incp;	/*INPC causes I/O INTR*/
	unsigned short	indp;	/*INPD causes I/O INTR*/
	unsigned short	inep;	/*INPE causes I/O INTR*/
	unsigned short	infp;	/*INPF causes I/O INTR*/
	unsigned short	ingp;	/*INPG causes I/O INTR*/
	unsigned short	inhp;	/*INPH causes I/O INTR*/
	unsigned short	inip;	/*INPI causes I/O INTR*/
	unsigned short	injp;	/*INPJ causes I/O INTR*/
	unsigned short	inkp;	/*INPK causes I/O INTR*/
	unsigned short	inlp;	/*INPL causes I/O INTR*/
	char		calc[36]; /*Calculation*/
	char    rpcl[184];	/*Reverse Polish Calc*/
	long		clcv;	/*CALC Valid*/
	double		val;	/*Value Field*/
	double		oval;	/*Old Value*/
	short		prec;	/*Display Precision*/
	unsigned short	oopt;	/*Output Execute Opt*/
	float		odly;	/*Output Execute Delay*/
	unsigned short	dopt;	/*Output Data Option*/
	double		dold;	/*Desired Output Data*/
	unsigned short	oevt;	/*Event To Issue*/
	double		adel;	/*Archive Deadband*/
	double		mdel;	/*Monitor Deadband*/
	double		alst;	/*Last Value Archived*/
	double		mlst;	/*Last Val Monitored*/
	DBLINK		siol;	/*Sim Input Specifctn*/
	double		sval;	/*Simulation Value*/
	DBLINK		siml;	/*Sim Mode Location*/
	unsigned short	simm;	/*Simulation Mode*/
	unsigned short	sims;	/*Sim mode Alarm Svrty*/
} waitRecord;
#define waitRecordNAME	0
#define waitRecordDESC	1
#define waitRecordASG	2
#define waitRecordSCAN	3
#define waitRecordPINI	4
#define waitRecordPHAS	5
#define waitRecordEVNT	6
#define waitRecordTSE	7
#define waitRecordTSEL	8
#define waitRecordDTYP	9
#define waitRecordDISV	10
#define waitRecordDISA	11
#define waitRecordSDIS	12
#define waitRecordMLOK	13
#define waitRecordMLIS	14
#define waitRecordDISP	15
#define waitRecordPROC	16
#define waitRecordSTAT	17
#define waitRecordSEVR	18
#define waitRecordNSTA	19
#define waitRecordNSEV	20
#define waitRecordACKS	21
#define waitRecordACKT	22
#define waitRecordDISS	23
#define waitRecordLCNT	24
#define waitRecordPACT	25
#define waitRecordPUTF	26
#define waitRecordRPRO	27
#define waitRecordASP	28
#define waitRecordPPN	29
#define waitRecordPPNN	30
#define waitRecordSPVT	31
#define waitRecordRSET	32
#define waitRecordDSET	33
#define waitRecordDPVT	34
#define waitRecordRDES	35
#define waitRecordLSET	36
#define waitRecordPRIO	37
#define waitRecordTPRO	38
#define waitRecordBKPT	39
#define waitRecordUDF	40
#define waitRecordTIME	41
#define waitRecordFLNK	42
#define waitRecordVERS	43
#define waitRecordHOPR	44
#define waitRecordLOPR	45
#define waitRecordINIT	46
#define waitRecordCBST	47
#define waitRecordINAN	48
#define waitRecordINBN	49
#define waitRecordINCN	50
#define waitRecordINDN	51
#define waitRecordINEN	52
#define waitRecordINFN	53
#define waitRecordINGN	54
#define waitRecordINHN	55
#define waitRecordININ	56
#define waitRecordINJN	57
#define waitRecordINKN	58
#define waitRecordINLN	59
#define waitRecordDOLN	60
#define waitRecordOUTN	61
#define waitRecordINAV	62
#define waitRecordINBV	63
#define waitRecordINCV	64
#define waitRecordINDV	65
#define waitRecordINEV	66
#define waitRecordINFV	67
#define waitRecordINGV	68
#define waitRecordINHV	69
#define waitRecordINIV	70
#define waitRecordINJV	71
#define waitRecordINKV	72
#define waitRecordINLV	73
#define waitRecordDOLV	74
#define waitRecordOUTV	75
#define waitRecordA	76
#define waitRecordB	77
#define waitRecordC	78
#define waitRecordD	79
#define waitRecordE	80
#define waitRecordF	81
#define waitRecordG	82
#define waitRecordH	83
#define waitRecordI	84
#define waitRecordJ	85
#define waitRecordK	86
#define waitRecordL	87
#define waitRecordLA	88
#define waitRecordLB	89
#define waitRecordLC	90
#define waitRecordLD	91
#define waitRecordLE	92
#define waitRecordLF	93
#define waitRecordLG	94
#define waitRecordLH	95
#define waitRecordLI	96
#define waitRecordLJ	97
#define waitRecordLK	98
#define waitRecordLL	99
#define waitRecordINAP	100
#define waitRecordINBP	101
#define waitRecordINCP	102
#define waitRecordINDP	103
#define waitRecordINEP	104
#define waitRecordINFP	105
#define waitRecordINGP	106
#define waitRecordINHP	107
#define waitRecordINIP	108
#define waitRecordINJP	109
#define waitRecordINKP	110
#define waitRecordINLP	111
#define waitRecordCALC	112
#define waitRecordRPCL	113
#define waitRecordCLCV	114
#define waitRecordVAL	115
#define waitRecordOVAL	116
#define waitRecordPREC	117
#define waitRecordOOPT	118
#define waitRecordODLY	119
#define waitRecordDOPT	120
#define waitRecordDOLD	121
#define waitRecordOEVT	122
#define waitRecordADEL	123
#define waitRecordMDEL	124
#define waitRecordALST	125
#define waitRecordMLST	126
#define waitRecordSIOL	127
#define waitRecordSVAL	128
#define waitRecordSIML	129
#define waitRecordSIMM	130
#define waitRecordSIMS	131
#endif /*INCwaitH*/
#ifdef GEN_SIZE_OFFSET
int waitRecordSizeOffset(dbRecordType *pdbRecordType)
{
    waitRecord *prec = 0;
  pdbRecordType->papFldDes[0]->size=sizeof(prec->name);
  pdbRecordType->papFldDes[0]->offset=(short)((char *)&prec->name - (char *)prec);
  pdbRecordType->papFldDes[1]->size=sizeof(prec->desc);
  pdbRecordType->papFldDes[1]->offset=(short)((char *)&prec->desc - (char *)prec);
  pdbRecordType->papFldDes[2]->size=sizeof(prec->asg);
  pdbRecordType->papFldDes[2]->offset=(short)((char *)&prec->asg - (char *)prec);
  pdbRecordType->papFldDes[3]->size=sizeof(prec->scan);
  pdbRecordType->papFldDes[3]->offset=(short)((char *)&prec->scan - (char *)prec);
  pdbRecordType->papFldDes[4]->size=sizeof(prec->pini);
  pdbRecordType->papFldDes[4]->offset=(short)((char *)&prec->pini - (char *)prec);
  pdbRecordType->papFldDes[5]->size=sizeof(prec->phas);
  pdbRecordType->papFldDes[5]->offset=(short)((char *)&prec->phas - (char *)prec);
  pdbRecordType->papFldDes[6]->size=sizeof(prec->evnt);
  pdbRecordType->papFldDes[6]->offset=(short)((char *)&prec->evnt - (char *)prec);
  pdbRecordType->papFldDes[7]->size=sizeof(prec->tse);
  pdbRecordType->papFldDes[7]->offset=(short)((char *)&prec->tse - (char *)prec);
  pdbRecordType->papFldDes[8]->size=sizeof(prec->tsel);
  pdbRecordType->papFldDes[8]->offset=(short)((char *)&prec->tsel - (char *)prec);
  pdbRecordType->papFldDes[9]->size=sizeof(prec->dtyp);
  pdbRecordType->papFldDes[9]->offset=(short)((char *)&prec->dtyp - (char *)prec);
  pdbRecordType->papFldDes[10]->size=sizeof(prec->disv);
  pdbRecordType->papFldDes[10]->offset=(short)((char *)&prec->disv - (char *)prec);
  pdbRecordType->papFldDes[11]->size=sizeof(prec->disa);
  pdbRecordType->papFldDes[11]->offset=(short)((char *)&prec->disa - (char *)prec);
  pdbRecordType->papFldDes[12]->size=sizeof(prec->sdis);
  pdbRecordType->papFldDes[12]->offset=(short)((char *)&prec->sdis - (char *)prec);
  pdbRecordType->papFldDes[13]->size=sizeof(prec->mlok);
  pdbRecordType->papFldDes[13]->offset=(short)((char *)&prec->mlok - (char *)prec);
  pdbRecordType->papFldDes[14]->size=sizeof(prec->mlis);
  pdbRecordType->papFldDes[14]->offset=(short)((char *)&prec->mlis - (char *)prec);
  pdbRecordType->papFldDes[15]->size=sizeof(prec->disp);
  pdbRecordType->papFldDes[15]->offset=(short)((char *)&prec->disp - (char *)prec);
  pdbRecordType->papFldDes[16]->size=sizeof(prec->proc);
  pdbRecordType->papFldDes[16]->offset=(short)((char *)&prec->proc - (char *)prec);
  pdbRecordType->papFldDes[17]->size=sizeof(prec->stat);
  pdbRecordType->papFldDes[17]->offset=(short)((char *)&prec->stat - (char *)prec);
  pdbRecordType->papFldDes[18]->size=sizeof(prec->sevr);
  pdbRecordType->papFldDes[18]->offset=(short)((char *)&prec->sevr - (char *)prec);
  pdbRecordType->papFldDes[19]->size=sizeof(prec->nsta);
  pdbRecordType->papFldDes[19]->offset=(short)((char *)&prec->nsta - (char *)prec);
  pdbRecordType->papFldDes[20]->size=sizeof(prec->nsev);
  pdbRecordType->papFldDes[20]->offset=(short)((char *)&prec->nsev - (char *)prec);
  pdbRecordType->papFldDes[21]->size=sizeof(prec->acks);
  pdbRecordType->papFldDes[21]->offset=(short)((char *)&prec->acks - (char *)prec);
  pdbRecordType->papFldDes[22]->size=sizeof(prec->ackt);
  pdbRecordType->papFldDes[22]->offset=(short)((char *)&prec->ackt - (char *)prec);
  pdbRecordType->papFldDes[23]->size=sizeof(prec->diss);
  pdbRecordType->papFldDes[23]->offset=(short)((char *)&prec->diss - (char *)prec);
  pdbRecordType->papFldDes[24]->size=sizeof(prec->lcnt);
  pdbRecordType->papFldDes[24]->offset=(short)((char *)&prec->lcnt - (char *)prec);
  pdbRecordType->papFldDes[25]->size=sizeof(prec->pact);
  pdbRecordType->papFldDes[25]->offset=(short)((char *)&prec->pact - (char *)prec);
  pdbRecordType->papFldDes[26]->size=sizeof(prec->putf);
  pdbRecordType->papFldDes[26]->offset=(short)((char *)&prec->putf - (char *)prec);
  pdbRecordType->papFldDes[27]->size=sizeof(prec->rpro);
  pdbRecordType->papFldDes[27]->offset=(short)((char *)&prec->rpro - (char *)prec);
  pdbRecordType->papFldDes[28]->size=sizeof(prec->asp);
  pdbRecordType->papFldDes[28]->offset=(short)((char *)&prec->asp - (char *)prec);
  pdbRecordType->papFldDes[29]->size=sizeof(prec->ppn);
  pdbRecordType->papFldDes[29]->offset=(short)((char *)&prec->ppn - (char *)prec);
  pdbRecordType->papFldDes[30]->size=sizeof(prec->ppnn);
  pdbRecordType->papFldDes[30]->offset=(short)((char *)&prec->ppnn - (char *)prec);
  pdbRecordType->papFldDes[31]->size=sizeof(prec->spvt);
  pdbRecordType->papFldDes[31]->offset=(short)((char *)&prec->spvt - (char *)prec);
  pdbRecordType->papFldDes[32]->size=sizeof(prec->rset);
  pdbRecordType->papFldDes[32]->offset=(short)((char *)&prec->rset - (char *)prec);
  pdbRecordType->papFldDes[33]->size=sizeof(prec->dset);
  pdbRecordType->papFldDes[33]->offset=(short)((char *)&prec->dset - (char *)prec);
  pdbRecordType->papFldDes[34]->size=sizeof(prec->dpvt);
  pdbRecordType->papFldDes[34]->offset=(short)((char *)&prec->dpvt - (char *)prec);
  pdbRecordType->papFldDes[35]->size=sizeof(prec->rdes);
  pdbRecordType->papFldDes[35]->offset=(short)((char *)&prec->rdes - (char *)prec);
  pdbRecordType->papFldDes[36]->size=sizeof(prec->lset);
  pdbRecordType->papFldDes[36]->offset=(short)((char *)&prec->lset - (char *)prec);
  pdbRecordType->papFldDes[37]->size=sizeof(prec->prio);
  pdbRecordType->papFldDes[37]->offset=(short)((char *)&prec->prio - (char *)prec);
  pdbRecordType->papFldDes[38]->size=sizeof(prec->tpro);
  pdbRecordType->papFldDes[38]->offset=(short)((char *)&prec->tpro - (char *)prec);
  pdbRecordType->papFldDes[39]->size=sizeof(prec->bkpt);
  pdbRecordType->papFldDes[39]->offset=(short)((char *)&prec->bkpt - (char *)prec);
  pdbRecordType->papFldDes[40]->size=sizeof(prec->udf);
  pdbRecordType->papFldDes[40]->offset=(short)((char *)&prec->udf - (char *)prec);
  pdbRecordType->papFldDes[41]->size=sizeof(prec->time);
  pdbRecordType->papFldDes[41]->offset=(short)((char *)&prec->time - (char *)prec);
  pdbRecordType->papFldDes[42]->size=sizeof(prec->flnk);
  pdbRecordType->papFldDes[42]->offset=(short)((char *)&prec->flnk - (char *)prec);
  pdbRecordType->papFldDes[43]->size=sizeof(prec->vers);
  pdbRecordType->papFldDes[43]->offset=(short)((char *)&prec->vers - (char *)prec);
  pdbRecordType->papFldDes[44]->size=sizeof(prec->hopr);
  pdbRecordType->papFldDes[44]->offset=(short)((char *)&prec->hopr - (char *)prec);
  pdbRecordType->papFldDes[45]->size=sizeof(prec->lopr);
  pdbRecordType->papFldDes[45]->offset=(short)((char *)&prec->lopr - (char *)prec);
  pdbRecordType->papFldDes[46]->size=sizeof(prec->init);
  pdbRecordType->papFldDes[46]->offset=(short)((char *)&prec->init - (char *)prec);
  pdbRecordType->papFldDes[47]->size=sizeof(prec->cbst);
  pdbRecordType->papFldDes[47]->offset=(short)((char *)&prec->cbst - (char *)prec);
  pdbRecordType->papFldDes[48]->size=sizeof(prec->inan);
  pdbRecordType->papFldDes[48]->offset=(short)((char *)&prec->inan - (char *)prec);
  pdbRecordType->papFldDes[49]->size=sizeof(prec->inbn);
  pdbRecordType->papFldDes[49]->offset=(short)((char *)&prec->inbn - (char *)prec);
  pdbRecordType->papFldDes[50]->size=sizeof(prec->incn);
  pdbRecordType->papFldDes[50]->offset=(short)((char *)&prec->incn - (char *)prec);
  pdbRecordType->papFldDes[51]->size=sizeof(prec->indn);
  pdbRecordType->papFldDes[51]->offset=(short)((char *)&prec->indn - (char *)prec);
  pdbRecordType->papFldDes[52]->size=sizeof(prec->inen);
  pdbRecordType->papFldDes[52]->offset=(short)((char *)&prec->inen - (char *)prec);
  pdbRecordType->papFldDes[53]->size=sizeof(prec->infn);
  pdbRecordType->papFldDes[53]->offset=(short)((char *)&prec->infn - (char *)prec);
  pdbRecordType->papFldDes[54]->size=sizeof(prec->ingn);
  pdbRecordType->papFldDes[54]->offset=(short)((char *)&prec->ingn - (char *)prec);
  pdbRecordType->papFldDes[55]->size=sizeof(prec->inhn);
  pdbRecordType->papFldDes[55]->offset=(short)((char *)&prec->inhn - (char *)prec);
  pdbRecordType->papFldDes[56]->size=sizeof(prec->inin);
  pdbRecordType->papFldDes[56]->offset=(short)((char *)&prec->inin - (char *)prec);
  pdbRecordType->papFldDes[57]->size=sizeof(prec->injn);
  pdbRecordType->papFldDes[57]->offset=(short)((char *)&prec->injn - (char *)prec);
  pdbRecordType->papFldDes[58]->size=sizeof(prec->inkn);
  pdbRecordType->papFldDes[58]->offset=(short)((char *)&prec->inkn - (char *)prec);
  pdbRecordType->papFldDes[59]->size=sizeof(prec->inln);
  pdbRecordType->papFldDes[59]->offset=(short)((char *)&prec->inln - (char *)prec);
  pdbRecordType->papFldDes[60]->size=sizeof(prec->doln);
  pdbRecordType->papFldDes[60]->offset=(short)((char *)&prec->doln - (char *)prec);
  pdbRecordType->papFldDes[61]->size=sizeof(prec->outn);
  pdbRecordType->papFldDes[61]->offset=(short)((char *)&prec->outn - (char *)prec);
  pdbRecordType->papFldDes[62]->size=sizeof(prec->inav);
  pdbRecordType->papFldDes[62]->offset=(short)((char *)&prec->inav - (char *)prec);
  pdbRecordType->papFldDes[63]->size=sizeof(prec->inbv);
  pdbRecordType->papFldDes[63]->offset=(short)((char *)&prec->inbv - (char *)prec);
  pdbRecordType->papFldDes[64]->size=sizeof(prec->incv);
  pdbRecordType->papFldDes[64]->offset=(short)((char *)&prec->incv - (char *)prec);
  pdbRecordType->papFldDes[65]->size=sizeof(prec->indv);
  pdbRecordType->papFldDes[65]->offset=(short)((char *)&prec->indv - (char *)prec);
  pdbRecordType->papFldDes[66]->size=sizeof(prec->inev);
  pdbRecordType->papFldDes[66]->offset=(short)((char *)&prec->inev - (char *)prec);
  pdbRecordType->papFldDes[67]->size=sizeof(prec->infv);
  pdbRecordType->papFldDes[67]->offset=(short)((char *)&prec->infv - (char *)prec);
  pdbRecordType->papFldDes[68]->size=sizeof(prec->ingv);
  pdbRecordType->papFldDes[68]->offset=(short)((char *)&prec->ingv - (char *)prec);
  pdbRecordType->papFldDes[69]->size=sizeof(prec->inhv);
  pdbRecordType->papFldDes[69]->offset=(short)((char *)&prec->inhv - (char *)prec);
  pdbRecordType->papFldDes[70]->size=sizeof(prec->iniv);
  pdbRecordType->papFldDes[70]->offset=(short)((char *)&prec->iniv - (char *)prec);
  pdbRecordType->papFldDes[71]->size=sizeof(prec->injv);
  pdbRecordType->papFldDes[71]->offset=(short)((char *)&prec->injv - (char *)prec);
  pdbRecordType->papFldDes[72]->size=sizeof(prec->inkv);
  pdbRecordType->papFldDes[72]->offset=(short)((char *)&prec->inkv - (char *)prec);
  pdbRecordType->papFldDes[73]->size=sizeof(prec->inlv);
  pdbRecordType->papFldDes[73]->offset=(short)((char *)&prec->inlv - (char *)prec);
  pdbRecordType->papFldDes[74]->size=sizeof(prec->dolv);
  pdbRecordType->papFldDes[74]->offset=(short)((char *)&prec->dolv - (char *)prec);
  pdbRecordType->papFldDes[75]->size=sizeof(prec->outv);
  pdbRecordType->papFldDes[75]->offset=(short)((char *)&prec->outv - (char *)prec);
  pdbRecordType->papFldDes[76]->size=sizeof(prec->a);
  pdbRecordType->papFldDes[76]->offset=(short)((char *)&prec->a - (char *)prec);
  pdbRecordType->papFldDes[77]->size=sizeof(prec->b);
  pdbRecordType->papFldDes[77]->offset=(short)((char *)&prec->b - (char *)prec);
  pdbRecordType->papFldDes[78]->size=sizeof(prec->c);
  pdbRecordType->papFldDes[78]->offset=(short)((char *)&prec->c - (char *)prec);
  pdbRecordType->papFldDes[79]->size=sizeof(prec->d);
  pdbRecordType->papFldDes[79]->offset=(short)((char *)&prec->d - (char *)prec);
  pdbRecordType->papFldDes[80]->size=sizeof(prec->e);
  pdbRecordType->papFldDes[80]->offset=(short)((char *)&prec->e - (char *)prec);
  pdbRecordType->papFldDes[81]->size=sizeof(prec->f);
  pdbRecordType->papFldDes[81]->offset=(short)((char *)&prec->f - (char *)prec);
  pdbRecordType->papFldDes[82]->size=sizeof(prec->g);
  pdbRecordType->papFldDes[82]->offset=(short)((char *)&prec->g - (char *)prec);
  pdbRecordType->papFldDes[83]->size=sizeof(prec->h);
  pdbRecordType->papFldDes[83]->offset=(short)((char *)&prec->h - (char *)prec);
  pdbRecordType->papFldDes[84]->size=sizeof(prec->i);
  pdbRecordType->papFldDes[84]->offset=(short)((char *)&prec->i - (char *)prec);
  pdbRecordType->papFldDes[85]->size=sizeof(prec->j);
  pdbRecordType->papFldDes[85]->offset=(short)((char *)&prec->j - (char *)prec);
  pdbRecordType->papFldDes[86]->size=sizeof(prec->k);
  pdbRecordType->papFldDes[86]->offset=(short)((char *)&prec->k - (char *)prec);
  pdbRecordType->papFldDes[87]->size=sizeof(prec->l);
  pdbRecordType->papFldDes[87]->offset=(short)((char *)&prec->l - (char *)prec);
  pdbRecordType->papFldDes[88]->size=sizeof(prec->la);
  pdbRecordType->papFldDes[88]->offset=(short)((char *)&prec->la - (char *)prec);
  pdbRecordType->papFldDes[89]->size=sizeof(prec->lb);
  pdbRecordType->papFldDes[89]->offset=(short)((char *)&prec->lb - (char *)prec);
  pdbRecordType->papFldDes[90]->size=sizeof(prec->lc);
  pdbRecordType->papFldDes[90]->offset=(short)((char *)&prec->lc - (char *)prec);
  pdbRecordType->papFldDes[91]->size=sizeof(prec->ld);
  pdbRecordType->papFldDes[91]->offset=(short)((char *)&prec->ld - (char *)prec);
  pdbRecordType->papFldDes[92]->size=sizeof(prec->le);
  pdbRecordType->papFldDes[92]->offset=(short)((char *)&prec->le - (char *)prec);
  pdbRecordType->papFldDes[93]->size=sizeof(prec->lf);
  pdbRecordType->papFldDes[93]->offset=(short)((char *)&prec->lf - (char *)prec);
  pdbRecordType->papFldDes[94]->size=sizeof(prec->lg);
  pdbRecordType->papFldDes[94]->offset=(short)((char *)&prec->lg - (char *)prec);
  pdbRecordType->papFldDes[95]->size=sizeof(prec->lh);
  pdbRecordType->papFldDes[95]->offset=(short)((char *)&prec->lh - (char *)prec);
  pdbRecordType->papFldDes[96]->size=sizeof(prec->li);
  pdbRecordType->papFldDes[96]->offset=(short)((char *)&prec->li - (char *)prec);
  pdbRecordType->papFldDes[97]->size=sizeof(prec->lj);
  pdbRecordType->papFldDes[97]->offset=(short)((char *)&prec->lj - (char *)prec);
  pdbRecordType->papFldDes[98]->size=sizeof(prec->lk);
  pdbRecordType->papFldDes[98]->offset=(short)((char *)&prec->lk - (char *)prec);
  pdbRecordType->papFldDes[99]->size=sizeof(prec->ll);
  pdbRecordType->papFldDes[99]->offset=(short)((char *)&prec->ll - (char *)prec);
  pdbRecordType->papFldDes[100]->size=sizeof(prec->inap);
  pdbRecordType->papFldDes[100]->offset=(short)((char *)&prec->inap - (char *)prec);
  pdbRecordType->papFldDes[101]->size=sizeof(prec->inbp);
  pdbRecordType->papFldDes[101]->offset=(short)((char *)&prec->inbp - (char *)prec);
  pdbRecordType->papFldDes[102]->size=sizeof(prec->incp);
  pdbRecordType->papFldDes[102]->offset=(short)((char *)&prec->incp - (char *)prec);
  pdbRecordType->papFldDes[103]->size=sizeof(prec->indp);
  pdbRecordType->papFldDes[103]->offset=(short)((char *)&prec->indp - (char *)prec);
  pdbRecordType->papFldDes[104]->size=sizeof(prec->inep);
  pdbRecordType->papFldDes[104]->offset=(short)((char *)&prec->inep - (char *)prec);
  pdbRecordType->papFldDes[105]->size=sizeof(prec->infp);
  pdbRecordType->papFldDes[105]->offset=(short)((char *)&prec->infp - (char *)prec);
  pdbRecordType->papFldDes[106]->size=sizeof(prec->ingp);
  pdbRecordType->papFldDes[106]->offset=(short)((char *)&prec->ingp - (char *)prec);
  pdbRecordType->papFldDes[107]->size=sizeof(prec->inhp);
  pdbRecordType->papFldDes[107]->offset=(short)((char *)&prec->inhp - (char *)prec);
  pdbRecordType->papFldDes[108]->size=sizeof(prec->inip);
  pdbRecordType->papFldDes[108]->offset=(short)((char *)&prec->inip - (char *)prec);
  pdbRecordType->papFldDes[109]->size=sizeof(prec->injp);
  pdbRecordType->papFldDes[109]->offset=(short)((char *)&prec->injp - (char *)prec);
  pdbRecordType->papFldDes[110]->size=sizeof(prec->inkp);
  pdbRecordType->papFldDes[110]->offset=(short)((char *)&prec->inkp - (char *)prec);
  pdbRecordType->papFldDes[111]->size=sizeof(prec->inlp);
  pdbRecordType->papFldDes[111]->offset=(short)((char *)&prec->inlp - (char *)prec);
  pdbRecordType->papFldDes[112]->size=sizeof(prec->calc);
  pdbRecordType->papFldDes[112]->offset=(short)((char *)&prec->calc - (char *)prec);
  pdbRecordType->papFldDes[113]->size=sizeof(prec->rpcl);
  pdbRecordType->papFldDes[113]->offset=(short)((char *)&prec->rpcl - (char *)prec);
  pdbRecordType->papFldDes[114]->size=sizeof(prec->clcv);
  pdbRecordType->papFldDes[114]->offset=(short)((char *)&prec->clcv - (char *)prec);
  pdbRecordType->papFldDes[115]->size=sizeof(prec->val);
  pdbRecordType->papFldDes[115]->offset=(short)((char *)&prec->val - (char *)prec);
  pdbRecordType->papFldDes[116]->size=sizeof(prec->oval);
  pdbRecordType->papFldDes[116]->offset=(short)((char *)&prec->oval - (char *)prec);
  pdbRecordType->papFldDes[117]->size=sizeof(prec->prec);
  pdbRecordType->papFldDes[117]->offset=(short)((char *)&prec->prec - (char *)prec);
  pdbRecordType->papFldDes[118]->size=sizeof(prec->oopt);
  pdbRecordType->papFldDes[118]->offset=(short)((char *)&prec->oopt - (char *)prec);
  pdbRecordType->papFldDes[119]->size=sizeof(prec->odly);
  pdbRecordType->papFldDes[119]->offset=(short)((char *)&prec->odly - (char *)prec);
  pdbRecordType->papFldDes[120]->size=sizeof(prec->dopt);
  pdbRecordType->papFldDes[120]->offset=(short)((char *)&prec->dopt - (char *)prec);
  pdbRecordType->papFldDes[121]->size=sizeof(prec->dold);
  pdbRecordType->papFldDes[121]->offset=(short)((char *)&prec->dold - (char *)prec);
  pdbRecordType->papFldDes[122]->size=sizeof(prec->oevt);
  pdbRecordType->papFldDes[122]->offset=(short)((char *)&prec->oevt - (char *)prec);
  pdbRecordType->papFldDes[123]->size=sizeof(prec->adel);
  pdbRecordType->papFldDes[123]->offset=(short)((char *)&prec->adel - (char *)prec);
  pdbRecordType->papFldDes[124]->size=sizeof(prec->mdel);
  pdbRecordType->papFldDes[124]->offset=(short)((char *)&prec->mdel - (char *)prec);
  pdbRecordType->papFldDes[125]->size=sizeof(prec->alst);
  pdbRecordType->papFldDes[125]->offset=(short)((char *)&prec->alst - (char *)prec);
  pdbRecordType->papFldDes[126]->size=sizeof(prec->mlst);
  pdbRecordType->papFldDes[126]->offset=(short)((char *)&prec->mlst - (char *)prec);
  pdbRecordType->papFldDes[127]->size=sizeof(prec->siol);
  pdbRecordType->papFldDes[127]->offset=(short)((char *)&prec->siol - (char *)prec);
  pdbRecordType->papFldDes[128]->size=sizeof(prec->sval);
  pdbRecordType->papFldDes[128]->offset=(short)((char *)&prec->sval - (char *)prec);
  pdbRecordType->papFldDes[129]->size=sizeof(prec->siml);
  pdbRecordType->papFldDes[129]->offset=(short)((char *)&prec->siml - (char *)prec);
  pdbRecordType->papFldDes[130]->size=sizeof(prec->simm);
  pdbRecordType->papFldDes[130]->offset=(short)((char *)&prec->simm - (char *)prec);
  pdbRecordType->papFldDes[131]->size=sizeof(prec->sims);
  pdbRecordType->papFldDes[131]->offset=(short)((char *)&prec->sims - (char *)prec);
    pdbRecordType->rec_size = sizeof(*prec);
    return(0);
}
#endif /*GEN_SIZE_OFFSET*/
